/**
 * auth
 * Authentication Microservice
 *
 * The version of the OpenAPI document: 0.0.2
 * Contact: noc@taxnexus.net
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The UserRole model module.
 * @module model/UserRole
 * @version 0.0.2
 */
class UserRole {
    /**
     * Constructs a new <code>UserRole</code>.
     * Relationship object that connects user to a role
     * @alias module:model/UserRole
     */
    constructor() { 
        
        UserRole.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>UserRole</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/UserRole} obj Optional instance to populate.
     * @return {module:model/UserRole} The populated <code>UserRole</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new UserRole();

            if (data.hasOwnProperty('AccountID')) {
                obj['AccountID'] = ApiClient.convertToType(data['AccountID'], 'String');
            }
            if (data.hasOwnProperty('Auth0RoleID')) {
                obj['Auth0RoleID'] = ApiClient.convertToType(data['Auth0RoleID'], 'String');
            }
            if (data.hasOwnProperty('Auth0UserID')) {
                obj['Auth0UserID'] = ApiClient.convertToType(data['Auth0UserID'], 'String');
            }
            if (data.hasOwnProperty('CompanyName')) {
                obj['CompanyName'] = ApiClient.convertToType(data['CompanyName'], 'String');
            }
            if (data.hasOwnProperty('ContactID')) {
                obj['ContactID'] = ApiClient.convertToType(data['ContactID'], 'String');
            }
            if (data.hasOwnProperty('RoleDescription')) {
                obj['RoleDescription'] = ApiClient.convertToType(data['RoleDescription'], 'String');
            }
            if (data.hasOwnProperty('RoleID')) {
                obj['RoleID'] = ApiClient.convertToType(data['RoleID'], 'String');
            }
            if (data.hasOwnProperty('RoleName')) {
                obj['RoleName'] = ApiClient.convertToType(data['RoleName'], 'String');
            }
            if (data.hasOwnProperty('TaxnexusAccount')) {
                obj['TaxnexusAccount'] = ApiClient.convertToType(data['TaxnexusAccount'], 'String');
            }
            if (data.hasOwnProperty('UserEmail')) {
                obj['UserEmail'] = ApiClient.convertToType(data['UserEmail'], 'String');
            }
            if (data.hasOwnProperty('UserFullName')) {
                obj['UserFullName'] = ApiClient.convertToType(data['UserFullName'], 'String');
            }
            if (data.hasOwnProperty('UserID')) {
                obj['UserID'] = ApiClient.convertToType(data['UserID'], 'String');
            }
            if (data.hasOwnProperty('Username')) {
                obj['Username'] = ApiClient.convertToType(data['Username'], 'String');
            }
        }
        return obj;
    }


}

/**
 * Account Id
 * @member {String} AccountID
 */
UserRole.prototype['AccountID'] = undefined;

/**
 * Linked role ID
 * @member {String} Auth0RoleID
 */
UserRole.prototype['Auth0RoleID'] = undefined;

/**
 * Auth0 User ID
 * @member {String} Auth0UserID
 */
UserRole.prototype['Auth0UserID'] = undefined;

/**
 * Company Name
 * @member {String} CompanyName
 */
UserRole.prototype['CompanyName'] = undefined;

/**
 * Contact ID
 * @member {String} ContactID
 */
UserRole.prototype['ContactID'] = undefined;

/**
 * Role description
 * @member {String} RoleDescription
 */
UserRole.prototype['RoleDescription'] = undefined;

/**
 * The Role ID
 * @member {String} RoleID
 */
UserRole.prototype['RoleID'] = undefined;

/**
 * Role Name
 * @member {String} RoleName
 */
UserRole.prototype['RoleName'] = undefined;

/**
 * Taxnexus Account Number
 * @member {String} TaxnexusAccount
 */
UserRole.prototype['TaxnexusAccount'] = undefined;

/**
 * User Email Address
 * @member {String} UserEmail
 */
UserRole.prototype['UserEmail'] = undefined;

/**
 * User Full Name
 * @member {String} UserFullName
 */
UserRole.prototype['UserFullName'] = undefined;

/**
 * The User ID
 * @member {String} UserID
 */
UserRole.prototype['UserID'] = undefined;

/**
 * Username
 * @member {String} Username
 */
UserRole.prototype['Username'] = undefined;






export default UserRole;

