# board

Board - JavaScript client for board
Taxnexus Onboarding Service
This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.0.2
- Package version: 0.0.2
- Build package: org.openapitools.codegen.languages.JavascriptClientCodegen

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/), please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install board --save
```

Finally, you need to build the module:

```shell
npm run build
```

##### Local development

To use the library locally without publishing to a remote npm registry, first install the dependencies by changing into the directory containing `package.json` (and this README). Let's call this `JAVASCRIPT_CLIENT_DIR`. Then run:

```shell
npm install
```

Next, [link](https://docs.npmjs.com/cli/link) it globally in npm with the following, also from `JAVASCRIPT_CLIENT_DIR`:

```shell
npm link
```

To use the link you just defined in your project, switch to the directory you want to use your board from, and run:

```shell
npm link /path/to/<JAVASCRIPT_CLIENT_DIR>
```

Finally, you need to build the module:

```shell
npm run build
```

#### git

If the library is hosted at a git repository, e.g.https://github.com/GIT_USER_ID/GIT_REPO_ID
then install it via:

```shell
    npm install GIT_USER_ID/GIT_REPO_ID --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

### Webpack Configuration

Using Webpack you may encounter the following error: "Module not found: Error:
Cannot resolve module", most certainly you should disable AMD loader. Add/merge
the following section to your webpack config:

```javascript
module: {
  rules: [
    {
      parser: {
        amd: false
      }
    }
  ]
}
```

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var Board = require('board');


var api = new Board.CorsApi()
var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
api.developerOptions(callback);

```

## Documentation for API Endpoints

All URIs are relative to *http://board.vernonkeenan.com:8080/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*Board.CorsApi* | [**developerOptions**](docs/CorsApi.md#developerOptions) | **OPTIONS** /developers | 
*Board.CorsApi* | [**iqOptions**](docs/CorsApi.md#iqOptions) | **OPTIONS** /iqs | 
*Board.CorsApi* | [**leadsOptions**](docs/CorsApi.md#leadsOptions) | **OPTIONS** /leads | 
*Board.CorsApi* | [**userAuthOptions**](docs/CorsApi.md#userAuthOptions) | **OPTIONS** /userauths | 
*Board.CorsApi* | [**userOptions**](docs/CorsApi.md#userOptions) | **OPTIONS** /users | 
*Board.DevelopersApi* | [**postDevelopers**](docs/DevelopersApi.md#postDevelopers) | **POST** /developers | Onboard new developer
*Board.IqApi* | [**postIQ**](docs/IqApi.md#postIQ) | **POST** /iqs | Onboard new new Taxnexus IQ Customer
*Board.LeadsApi* | [**postLeads**](docs/LeadsApi.md#postLeads) | **POST** /leads | Add a new Lead record
*Board.LeadsApi* | [**putLeads**](docs/LeadsApi.md#putLeads) | **PUT** /leads | Update Leads
*Board.UserAuthApi* | [**getUserAuth**](docs/UserAuthApi.md#getUserAuth) | **GET** /userauths/{usernamePath} | Get a single UserAuth object
*Board.UsersApi* | [**getUsers**](docs/UsersApi.md#getUsers) | **GET** /users | 


## Documentation for Models

 - [Board.Account](docs/Account.md)
 - [Board.Address](docs/Address.md)
 - [Board.Contact](docs/Contact.md)
 - [Board.Database](docs/Database.md)
 - [Board.Developer](docs/Developer.md)
 - [Board.Error](docs/Error.md)
 - [Board.IQ](docs/IQ.md)
 - [Board.Lead](docs/Lead.md)
 - [Board.PaymentMethod](docs/PaymentMethod.md)
 - [Board.Role](docs/Role.md)
 - [Board.RuleExecution](docs/RuleExecution.md)
 - [Board.Tenant](docs/Tenant.md)
 - [Board.TenantUser](docs/TenantUser.md)
 - [Board.User](docs/User.md)
 - [Board.UserAuth](docs/UserAuth.md)
 - [Board.UserRole](docs/UserRole.md)


## Documentation for Authorization



### ApiKeyAuth


- **Type**: API key
- **API key parameter name**: X-API-Key
- **Location**: HTTP header

