# Board.IqApi

All URIs are relative to *http://board.vernonkeenan.com:8080/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**postIQ**](IqApi.md#postIQ) | **POST** /iqs | Onboard new new Taxnexus IQ Customer



## postIQ

> RuleExecution postIQ(iqRequest)

Onboard new new Taxnexus IQ Customer

Register new Taxnexus IQ Customer with POST

### Example

```javascript
import Board from 'board';
let defaultClient = Board.ApiClient.instance;
// Configure API key authorization: ApiKeyAuth
let ApiKeyAuth = defaultClient.authentications['ApiKeyAuth'];
ApiKeyAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//ApiKeyAuth.apiKeyPrefix = 'Token';

let apiInstance = new Board.IqApi();
let iqRequest = new Board.IQ(); // IQ | A single Taxnexus IQ Customer struct for onboarding
apiInstance.postIQ(iqRequest, (error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
});
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **iqRequest** | [**IQ**](IQ.md)| A single Taxnexus IQ Customer struct for onboarding | 

### Return type

[**RuleExecution**](RuleExecution.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

