# Board.UserAuthApi

All URIs are relative to *http://board.vernonkeenan.com:8080/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getUserAuth**](UserAuthApi.md#getUserAuth) | **GET** /userauths/{usernamePath} | Get a single UserAuth object



## getUserAuth

> UserAuth getUserAuth(usernamePath)

Get a single UserAuth object

Return a single UserAuth object from datastore as a Singleton

### Example

```javascript
import Board from 'board';
let defaultClient = Board.ApiClient.instance;
// Configure API key authorization: ApiKeyAuth
let ApiKeyAuth = defaultClient.authentications['ApiKeyAuth'];
ApiKeyAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//ApiKeyAuth.apiKeyPrefix = 'Token';

let apiInstance = new Board.UserAuthApi();
let usernamePath = "usernamePath_example"; // String | Username in the query path
apiInstance.getUserAuth(usernamePath, (error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
});
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **usernamePath** | **String**| Username in the query path | 

### Return type

[**UserAuth**](UserAuth.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

