/**
 * board
 * Taxnexus Onboarding Service
 *
 * The version of the OpenAPI document: 0.0.2
 * Contact: noc@taxnexus.net
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The PaymentMethod model module.
 * @module model/PaymentMethod
 * @version 0.0.2
 */
class PaymentMethod {
    /**
     * Constructs a new <code>PaymentMethod</code>.
     * Describes the EFT or other payment information for an account and billing contact
     * @alias module:model/PaymentMethod
     */
    constructor() { 
        
        PaymentMethod.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>PaymentMethod</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/PaymentMethod} obj Optional instance to populate.
     * @return {module:model/PaymentMethod} The populated <code>PaymentMethod</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new PaymentMethod();

            if (data.hasOwnProperty('AccountID')) {
                obj['AccountID'] = ApiClient.convertToType(data['AccountID'], 'String');
            }
            if (data.hasOwnProperty('AchAccountType')) {
                obj['AchAccountType'] = ApiClient.convertToType(data['AchAccountType'], 'String');
            }
            if (data.hasOwnProperty('AchBankAccount')) {
                obj['AchBankAccount'] = ApiClient.convertToType(data['AchBankAccount'], 'String');
            }
            if (data.hasOwnProperty('AchRouting')) {
                obj['AchRouting'] = ApiClient.convertToType(data['AchRouting'], 'String');
            }
            if (data.hasOwnProperty('Active')) {
                obj['Active'] = ApiClient.convertToType(data['Active'], 'Boolean');
            }
            if (data.hasOwnProperty('Autopay')) {
                obj['Autopay'] = ApiClient.convertToType(data['Autopay'], 'Boolean');
            }
            if (data.hasOwnProperty('BankName')) {
                obj['BankName'] = ApiClient.convertToType(data['BankName'], 'String');
            }
            if (data.hasOwnProperty('BillingContactID')) {
                obj['BillingContactID'] = ApiClient.convertToType(data['BillingContactID'], 'String');
            }
            if (data.hasOwnProperty('CCnumber')) {
                obj['CCnumber'] = ApiClient.convertToType(data['CCnumber'], 'String');
            }
            if (data.hasOwnProperty('CCtype')) {
                obj['CCtype'] = ApiClient.convertToType(data['CCtype'], 'String');
            }
            if (data.hasOwnProperty('CompanyID')) {
                obj['CompanyID'] = ApiClient.convertToType(data['CompanyID'], 'String');
            }
            if (data.hasOwnProperty('ContractID')) {
                obj['ContractID'] = ApiClient.convertToType(data['ContractID'], 'String');
            }
            if (data.hasOwnProperty('CreatedByID')) {
                obj['CreatedByID'] = ApiClient.convertToType(data['CreatedByID'], 'String');
            }
            if (data.hasOwnProperty('CreatedDate')) {
                obj['CreatedDate'] = ApiClient.convertToType(data['CreatedDate'], 'String');
            }
            if (data.hasOwnProperty('Default')) {
                obj['Default'] = ApiClient.convertToType(data['Default'], 'Boolean');
            }
            if (data.hasOwnProperty('ExpirationDate')) {
                obj['ExpirationDate'] = ApiClient.convertToType(data['ExpirationDate'], 'String');
            }
            if (data.hasOwnProperty('ExpirationMonth')) {
                obj['ExpirationMonth'] = ApiClient.convertToType(data['ExpirationMonth'], 'String');
            }
            if (data.hasOwnProperty('ExpirationYear')) {
                obj['ExpirationYear'] = ApiClient.convertToType(data['ExpirationYear'], 'String');
            }
            if (data.hasOwnProperty('Gateway')) {
                obj['Gateway'] = ApiClient.convertToType(data['Gateway'], 'String');
            }
            if (data.hasOwnProperty('GatewayKey')) {
                obj['GatewayKey'] = ApiClient.convertToType(data['GatewayKey'], 'String');
            }
            if (data.hasOwnProperty('ID')) {
                obj['ID'] = ApiClient.convertToType(data['ID'], 'String');
            }
            if (data.hasOwnProperty('LastModifiedByID')) {
                obj['LastModifiedByID'] = ApiClient.convertToType(data['LastModifiedByID'], 'String');
            }
            if (data.hasOwnProperty('LastModifiedDate')) {
                obj['LastModifiedDate'] = ApiClient.convertToType(data['LastModifiedDate'], 'String');
            }
            if (data.hasOwnProperty('Nickname')) {
                obj['Nickname'] = ApiClient.convertToType(data['Nickname'], 'String');
            }
            if (data.hasOwnProperty('RecordType')) {
                obj['RecordType'] = ApiClient.convertToType(data['RecordType'], 'String');
            }
            if (data.hasOwnProperty('Ref')) {
                obj['Ref'] = ApiClient.convertToType(data['Ref'], 'String');
            }
        }
        return obj;
    }


}

/**
 * Account
 * @member {String} AccountID
 */
PaymentMethod.prototype['AccountID'] = undefined;

/**
 * ACH Account Type
 * @member {String} AchAccountType
 */
PaymentMethod.prototype['AchAccountType'] = undefined;

/**
 * ACH Bank Account
 * @member {String} AchBankAccount
 */
PaymentMethod.prototype['AchBankAccount'] = undefined;

/**
 * ACH Routing
 * @member {String} AchRouting
 */
PaymentMethod.prototype['AchRouting'] = undefined;

/**
 * Active?
 * @member {Boolean} Active
 */
PaymentMethod.prototype['Active'] = undefined;

/**
 * Autopay?
 * @member {Boolean} Autopay
 */
PaymentMethod.prototype['Autopay'] = undefined;

/**
 * Bank Name
 * @member {String} BankName
 */
PaymentMethod.prototype['BankName'] = undefined;

/**
 * Billing Contact
 * @member {String} BillingContactID
 */
PaymentMethod.prototype['BillingContactID'] = undefined;

/**
 * Credit Card Number
 * @member {String} CCnumber
 */
PaymentMethod.prototype['CCnumber'] = undefined;

/**
 * CC Type
 * @member {String} CCtype
 */
PaymentMethod.prototype['CCtype'] = undefined;

/**
 * Company
 * @member {String} CompanyID
 */
PaymentMethod.prototype['CompanyID'] = undefined;

/**
 * Contract
 * @member {String} ContractID
 */
PaymentMethod.prototype['ContractID'] = undefined;

/**
 * Created By
 * @member {String} CreatedByID
 */
PaymentMethod.prototype['CreatedByID'] = undefined;

/**
 * Created Date
 * @member {String} CreatedDate
 */
PaymentMethod.prototype['CreatedDate'] = undefined;

/**
 * Default Payment Method?
 * @member {Boolean} Default
 */
PaymentMethod.prototype['Default'] = undefined;

/**
 * Expiration Date
 * @member {String} ExpirationDate
 */
PaymentMethod.prototype['ExpirationDate'] = undefined;

/**
 * Expiration Month
 * @member {String} ExpirationMonth
 */
PaymentMethod.prototype['ExpirationMonth'] = undefined;

/**
 * Expiration Year
 * @member {String} ExpirationYear
 */
PaymentMethod.prototype['ExpirationYear'] = undefined;

/**
 * Gateway
 * @member {String} Gateway
 */
PaymentMethod.prototype['Gateway'] = undefined;

/**
 * Gateway Key
 * @member {String} GatewayKey
 */
PaymentMethod.prototype['GatewayKey'] = undefined;

/**
 * Taxnexus Record Id
 * @member {String} ID
 */
PaymentMethod.prototype['ID'] = undefined;

/**
 * Last Modified By
 * @member {String} LastModifiedByID
 */
PaymentMethod.prototype['LastModifiedByID'] = undefined;

/**
 * Last Modified Date
 * @member {String} LastModifiedDate
 */
PaymentMethod.prototype['LastModifiedDate'] = undefined;

/**
 * Nickname
 * @member {String} Nickname
 */
PaymentMethod.prototype['Nickname'] = undefined;

/**
 * Record Type
 * @member {String} RecordType
 */
PaymentMethod.prototype['RecordType'] = undefined;

/**
 * External Reference
 * @member {String} Ref
 */
PaymentMethod.prototype['Ref'] = undefined;






export default PaymentMethod;

