/**
 * board
 * Taxnexus Onboarding Service
 *
 * The version of the OpenAPI document: 0.0.2
 * Contact: noc@taxnexus.net
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';
import Database from './Database';
import Role from './Role';
import TenantUser from './TenantUser';

/**
 * The Tenant model module.
 * @module model/Tenant
 * @version 0.0.2
 */
class Tenant {
    /**
     * Constructs a new <code>Tenant</code>.
     * Taxnexus Account Tenant
     * @alias module:model/Tenant
     */
    constructor() { 
        
        Tenant.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>Tenant</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/Tenant} obj Optional instance to populate.
     * @return {module:model/Tenant} The populated <code>Tenant</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new Tenant();

            if (data.hasOwnProperty('AccountID')) {
                obj['AccountID'] = ApiClient.convertToType(data['AccountID'], 'String');
            }
            if (data.hasOwnProperty('Active')) {
                obj['Active'] = ApiClient.convertToType(data['Active'], 'Boolean');
            }
            if (data.hasOwnProperty('CreatedByID')) {
                obj['CreatedByID'] = ApiClient.convertToType(data['CreatedByID'], 'String');
            }
            if (data.hasOwnProperty('CreatedDate')) {
                obj['CreatedDate'] = ApiClient.convertToType(data['CreatedDate'], 'String');
            }
            if (data.hasOwnProperty('Databases')) {
                obj['Databases'] = ApiClient.convertToType(data['Databases'], [Database]);
            }
            if (data.hasOwnProperty('ID')) {
                obj['ID'] = ApiClient.convertToType(data['ID'], 'String');
            }
            if (data.hasOwnProperty('LastModifiedByID')) {
                obj['LastModifiedByID'] = ApiClient.convertToType(data['LastModifiedByID'], 'String');
            }
            if (data.hasOwnProperty('LastModifiedDate')) {
                obj['LastModifiedDate'] = ApiClient.convertToType(data['LastModifiedDate'], 'String');
            }
            if (data.hasOwnProperty('Roles')) {
                obj['Roles'] = ApiClient.convertToType(data['Roles'], [Role]);
            }
            if (data.hasOwnProperty('Status')) {
                obj['Status'] = ApiClient.convertToType(data['Status'], 'String');
            }
            if (data.hasOwnProperty('TenantName')) {
                obj['TenantName'] = ApiClient.convertToType(data['TenantName'], 'String');
            }
            if (data.hasOwnProperty('TenantUsers')) {
                obj['TenantUsers'] = ApiClient.convertToType(data['TenantUsers'], [TenantUser]);
            }
            if (data.hasOwnProperty('Type')) {
                obj['Type'] = ApiClient.convertToType(data['Type'], 'String');
            }
            if (data.hasOwnProperty('Version')) {
                obj['Version'] = ApiClient.convertToType(data['Version'], 'String');
            }
        }
        return obj;
    }


}

/**
 * The Account that owns this Tenant
 * @member {String} AccountID
 */
Tenant.prototype['AccountID'] = undefined;

/**
 * Is this Tenant currently active?
 * @member {Boolean} Active
 */
Tenant.prototype['Active'] = undefined;

/**
 * Created By
 * @member {String} CreatedByID
 */
Tenant.prototype['CreatedByID'] = undefined;

/**
 * Created Date
 * @member {String} CreatedDate
 */
Tenant.prototype['CreatedDate'] = undefined;

/**
 * @member {Array.<module:model/Database>} Databases
 */
Tenant.prototype['Databases'] = undefined;

/**
 * Record Id
 * @member {String} ID
 */
Tenant.prototype['ID'] = undefined;

/**
 * Last Modified By
 * @member {String} LastModifiedByID
 */
Tenant.prototype['LastModifiedByID'] = undefined;

/**
 * Last Modifed Date
 * @member {String} LastModifiedDate
 */
Tenant.prototype['LastModifiedDate'] = undefined;

/**
 * @member {Array.<module:model/Role>} Roles
 */
Tenant.prototype['Roles'] = undefined;

/**
 * The current status of this Tenant
 * @member {String} Status
 */
Tenant.prototype['Status'] = undefined;

/**
 * Name of the Tenant Resource
 * @member {String} TenantName
 */
Tenant.prototype['TenantName'] = undefined;

/**
 * @member {Array.<module:model/TenantUser>} TenantUsers
 */
Tenant.prototype['TenantUsers'] = undefined;

/**
 * The type of Tenant
 * @member {String} Type
 */
Tenant.prototype['Type'] = undefined;

/**
 * The version number of the Tenant Onboarding system used to create this tenant
 * @member {String} Version
 */
Tenant.prototype['Version'] = undefined;






export default Tenant;

