# Crm.Account

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**accountNumber** | **String** | Account Number | [optional] 
**accountSource** | **String** | The marketing origin of this account | [optional] 
**active** | **Boolean** | Active | [optional] 
**administrativeLevel** | **String** | For tax authorities, this account&#39;s administrative level, e.g. Local, County, State or Federal | [optional] 
**amount** | **Number** | Rollup Tax Amount | [optional] 
**amountInvoiced** | **Number** | Amount Invoiced | [optional] 
**amountPaid** | **Number** | Amount Paid | [optional] 
**annualRevenue** | **Number** | Annual Revenue Estimate | [optional] 
**balance** | **Number** | Account Balance | [optional] 
**billingAddress** | [**Address**](Address.md) |  | [optional] 
**billingContactID** | **String** | Contact ID | [optional] 
**billingPreference** | **String** | Billing Preference | [optional] 
**businessAddress** | [**Address**](Address.md) |  | [optional] 
**cannabisCustomer** | **Boolean** | Is this a cannabis customer? | [optional] 
**channelProgramLevelName** | **String** | Channel Program Level Name | [optional] 
**channelProgramName** | **String** | Channel Program Name | [optional] 
**clientEndDate** | **String** | Client End Date | [optional] 
**clientStartDate** | **String** | Client Start Date | [optional] 
**companyID** | **String** | The Company ID of this Account | [optional] 
**coordinateID** | **String** | The Id of the geo coordinates of this account | [optional] 
**createdByID** | **String** | Created By User ID | [optional] 
**createdDate** | **String** | Created Date | [optional] 
**customerID** | **String** | Customer ID from source system | [optional] 
**customerPriority** | **String** | Customer Priority | [optional] 
**DBA** | **String** | This Account&#39;s &#39;Doing Business As&#39; name | [optional] 
**dUNSNumber** | **String** | D-U-N-S Number | [optional] 
**dandBCompanyID** | **String** | D-n-B Company | [optional] 
**defaultAddress** | [**Address**](Address.md) |  | [optional] 
**defaultBackendID** | **String** | Default Backend ID | [optional] 
**defaultDeliveryContactID** | **String** | Default Delivery Address Contact ID | [optional] 
**defaultEndUserID** | **String** | Default End User Contact ID | [optional] 
**description** | **String** | Description | [optional] 
**EIN** | **String** | EIN | [optional] 
**email** | **String** | Main Account Email | [optional] 
**enrollmentStatus** | **String** | Enrollment Status | [optional] 
**fax** | **String** | Fax | [optional] 
**ID** | **String** | Taxnexus Account Id | [optional] 
**iSPCustomer** | **Boolean** | ISP Customer? | [optional] 
**industry** | **String** | Industry | [optional] 
**isCustomerPortal** | **Boolean** | Customer Portal Account | [optional] 
**isPartner** | **Boolean** | Partner Account | [optional] 
**jigSaw** | **String** | Data.com Key | [optional] 
**lastModifiedByID** | **String** | Last Modified By User ID | [optional] 
**lastModifiedDate** | **String** | Last Modified Date | [optional] 
**mSPCustomer** | **Boolean** | MSP Customer? | [optional] 
**nAICSCode** | **String** | NAICS Code | [optional] 
**nAICSDesc** | **String** | NAICS Description | [optional] 
**name** | **String** | Account Name | [optional] 
**numberOfEmployees** | **Number** | Employee Count Estimate | [optional] 
**numberOfLocations** | **Number** | Number of Locations Estimate | [optional] 
**openCharges** | **Number** | Open Charges | [optional] 
**orderContactID** | **String** | Vendor Order Contact ID | [optional] 
**orderEmail** | **String** | Order Email | [optional] 
**ownerID** | **String** | Account Owner User ID | [optional] 
**ownership** | **String** | Ownership | [optional] 
**parentFK** | **String** | Parent Foreign Key | [optional] 
**parentID** | **String** | Parent Account | [optional] 
**phone** | **String** | Phone | [optional] 
**placeID** | **String** | The ID of the Place situs record that applies to this Account | [optional] 
**preparerID** | **String** | Tax Preparer Contact ID | [optional] 
**rating** | **String** | Rating | [optional] 
**ratingEngineID** | **String** | Rating Engine identifier | [optional] 
**ref** | **String** | External Reference ID | [optional] 
**revenueBase** | **Number** | Rollup Revenue Base | [optional] 
**revenueNet** | **Number** | Rollup Revenue Net | [optional] 
**revenueNotTaxable** | **Number** | Rollup Revenue Not Taxable | [optional] 
**SIC** | **String** | SIC Code | [optional] 
**sICDesc** | **String** | SIC Description | [optional] 
**shippingAddress** | [**Address**](Address.md) |  | [optional] 
**shippingCensusTract** | **String** | Shipping Census Tract | [optional] 
**shippingContactID** | **String** | Shipping Contact ID | [optional] 
**shippingCounty** | **String** | Shipping County | [optional] 
**site** | **String** | Account Site | [optional] 
**status** | **String** | Account Status | [optional] 
**taxExemption** | **String** | Tax Exemption | [optional] 
**taxOnTax** | **Number** | Rollup Tax On Tax | [optional] 
**telecomCustomer** | **Boolean** | Telecom Customer? | [optional] 
**tenantID** | **String** | Tenant Identifier | [optional] 
**tickerSymbol** | **String** | Ticker Symbol | [optional] 
**tradeStyle** | **String** | Tradestyle | [optional] 
**type** | **String** | Type | [optional] 
**unappliedPayments** | **Number** | Unapplied Payments | [optional] 
**unitBase** | **Number** | Rollup Unit Base | [optional] 
**upsellOpportunity** | **String** | Upsell Opportunity | [optional] 
**wHMCSClientID** | **Number** | WHMCS Client ID | [optional] 
**website** | **String** | Website | [optional] 
**xeroContactID** | **String** | Xero Contact ID | [optional] 
**yearStarted** | **String** | Year Started | [optional] 


