/**
 * crm
 * Customer Information Microservice
 *
 * The version of the OpenAPI document: 0.0.2
 * Contact: noc@taxnexus.net
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import Contract from '../model/Contract';
import ContractRequest from '../model/ContractRequest';
import ContractResponse from '../model/ContractResponse';
import DeleteResponse from '../model/DeleteResponse';
import Error from '../model/Error';

/**
* Contracts service.
* @module api/ContractsApi
* @version 0.0.2
*/
export default class ContractsApi {

    /**
    * Constructs a new ContractsApi. 
    * @alias module:api/ContractsApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }


    /**
     * Callback function to receive the result of the deleteContract operation.
     * @callback module:api/ContractsApi~deleteContractCallback
     * @param {String} error Error message, if any.
     * @param {module:model/DeleteResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Delete An Contract
     * Delete Taxnexus Contract record
     * @param {Object} opts Optional parameters
     * @param {String} opts.contractId Taxnexus Contact record ID
     * @param {module:api/ContractsApi~deleteContractCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/DeleteResponse}
     */
    deleteContract(opts, callback) {
      opts = opts || {};
      let postBody = null;

      let pathParams = {
      };
      let queryParams = {
        'contractId': opts['contractId']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['ApiKeyAuth'];
      let contentTypes = [];
      let accepts = ['application/json'];
      let returnType = DeleteResponse;
      return this.apiClient.callApi(
        '/contracts', 'DELETE',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null, callback
      );
    }

    /**
     * Callback function to receive the result of the getContracts operation.
     * @callback module:api/ContractsApi~getContractsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/ContractResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get a list of contracts
     * Return a list of all available Contracts
     * @param {Object} opts Optional parameters
     * @param {Number} opts.limit How many objects to return at one time
     * @param {Number} opts.offset How many objects to skip?
     * @param {Boolean} opts.active Only retrieve active records?
     * @param {String} opts.contractId Taxnexus Contact record ID
     * @param {module:api/ContractsApi~getContractsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/ContractResponse}
     */
    getContracts(opts, callback) {
      opts = opts || {};
      let postBody = null;

      let pathParams = {
      };
      let queryParams = {
        'limit': opts['limit'],
        'offset': opts['offset'],
        'active': opts['active'],
        'contractId': opts['contractId']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['ApiKeyAuth'];
      let contentTypes = [];
      let accepts = ['application/json'];
      let returnType = ContractResponse;
      return this.apiClient.callApi(
        '/contracts', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null, callback
      );
    }

    /**
     * Callback function to receive the result of the getContractsObservable operation.
     * @callback module:api/ContractsApi~getContractsObservableCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/Contract>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get Taxnexus Contracts in an observable array
     * A list of contracts in a simple JSON array
     * @param {Object} opts Optional parameters
     * @param {Boolean} opts.active Only retrieve active records?
     * @param {String} opts.contractId Taxnexus Contact record ID
     * @param {module:api/ContractsApi~getContractsObservableCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/Contract>}
     */
    getContractsObservable(opts, callback) {
      opts = opts || {};
      let postBody = null;

      let pathParams = {
      };
      let queryParams = {
        'active': opts['active'],
        'contractId': opts['contractId']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['ApiKeyAuth'];
      let contentTypes = [];
      let accepts = ['application/json'];
      let returnType = [Contract];
      return this.apiClient.callApi(
        '/contracts/observable', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null, callback
      );
    }

    /**
     * Callback function to receive the result of the postContracts operation.
     * @callback module:api/ContractsApi~postContractsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/ContractResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Add a new contract to Taxnexus
     * Contract record to be added
     * @param {module:model/ContractRequest} contractsRequest An array of new Contract records
     * @param {module:api/ContractsApi~postContractsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/ContractResponse}
     */
    postContracts(contractsRequest, callback) {
      let postBody = contractsRequest;
      // verify the required parameter 'contractsRequest' is set
      if (contractsRequest === undefined || contractsRequest === null) {
        throw new Error("Missing the required parameter 'contractsRequest' when calling postContracts");
      }

      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['ApiKeyAuth'];
      let contentTypes = ['application/json'];
      let accepts = ['application/json'];
      let returnType = ContractResponse;
      return this.apiClient.callApi(
        '/contracts', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null, callback
      );
    }

    /**
     * Callback function to receive the result of the putContract operation.
     * @callback module:api/ContractsApi~putContractCallback
     * @param {String} error Error message, if any.
     * @param {module:model/ContractResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Update a single contract
     * Update a single contract specified by contractId
     * @param {module:model/ContractRequest} contractsRequest An array of new Contract records
     * @param {module:api/ContractsApi~putContractCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/ContractResponse}
     */
    putContract(contractsRequest, callback) {
      let postBody = contractsRequest;
      // verify the required parameter 'contractsRequest' is set
      if (contractsRequest === undefined || contractsRequest === null) {
        throw new Error("Missing the required parameter 'contractsRequest' when calling putContract");
      }

      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['ApiKeyAuth'];
      let contentTypes = ['application/json'];
      let accepts = ['application/json'];
      let returnType = ContractResponse;
      return this.apiClient.callApi(
        '/contracts', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null, callback
      );
    }


}
