/**
 * crm
 * Customer Information Microservice
 *
 * The version of the OpenAPI document: 0.0.2
 * Contact: noc@taxnexus.net
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';
import Address from './Address';

/**
 * The Account model module.
 * @module model/Account
 * @version 0.0.2
 */
class Account {
    /**
     * Constructs a new <code>Account</code>.
     * @alias module:model/Account
     */
    constructor() { 
        
        Account.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>Account</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/Account} obj Optional instance to populate.
     * @return {module:model/Account} The populated <code>Account</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new Account();

            if (data.hasOwnProperty('AccountNumber')) {
                obj['AccountNumber'] = ApiClient.convertToType(data['AccountNumber'], 'String');
            }
            if (data.hasOwnProperty('AccountSource')) {
                obj['AccountSource'] = ApiClient.convertToType(data['AccountSource'], 'String');
            }
            if (data.hasOwnProperty('Active')) {
                obj['Active'] = ApiClient.convertToType(data['Active'], 'Boolean');
            }
            if (data.hasOwnProperty('AdministrativeLevel')) {
                obj['AdministrativeLevel'] = ApiClient.convertToType(data['AdministrativeLevel'], 'String');
            }
            if (data.hasOwnProperty('Amount')) {
                obj['Amount'] = ApiClient.convertToType(data['Amount'], 'Number');
            }
            if (data.hasOwnProperty('AmountInvoiced')) {
                obj['AmountInvoiced'] = ApiClient.convertToType(data['AmountInvoiced'], 'Number');
            }
            if (data.hasOwnProperty('AmountPaid')) {
                obj['AmountPaid'] = ApiClient.convertToType(data['AmountPaid'], 'Number');
            }
            if (data.hasOwnProperty('AnnualRevenue')) {
                obj['AnnualRevenue'] = ApiClient.convertToType(data['AnnualRevenue'], 'Number');
            }
            if (data.hasOwnProperty('Balance')) {
                obj['Balance'] = ApiClient.convertToType(data['Balance'], 'Number');
            }
            if (data.hasOwnProperty('BillingAddress')) {
                obj['BillingAddress'] = Address.constructFromObject(data['BillingAddress']);
            }
            if (data.hasOwnProperty('BillingContactID')) {
                obj['BillingContactID'] = ApiClient.convertToType(data['BillingContactID'], 'String');
            }
            if (data.hasOwnProperty('BillingPreference')) {
                obj['BillingPreference'] = ApiClient.convertToType(data['BillingPreference'], 'String');
            }
            if (data.hasOwnProperty('BusinessAddress')) {
                obj['BusinessAddress'] = Address.constructFromObject(data['BusinessAddress']);
            }
            if (data.hasOwnProperty('CannabisCustomer')) {
                obj['CannabisCustomer'] = ApiClient.convertToType(data['CannabisCustomer'], 'Boolean');
            }
            if (data.hasOwnProperty('ChannelProgramLevelName')) {
                obj['ChannelProgramLevelName'] = ApiClient.convertToType(data['ChannelProgramLevelName'], 'String');
            }
            if (data.hasOwnProperty('ChannelProgramName')) {
                obj['ChannelProgramName'] = ApiClient.convertToType(data['ChannelProgramName'], 'String');
            }
            if (data.hasOwnProperty('ClientEndDate')) {
                obj['ClientEndDate'] = ApiClient.convertToType(data['ClientEndDate'], 'String');
            }
            if (data.hasOwnProperty('ClientStartDate')) {
                obj['ClientStartDate'] = ApiClient.convertToType(data['ClientStartDate'], 'String');
            }
            if (data.hasOwnProperty('CompanyID')) {
                obj['CompanyID'] = ApiClient.convertToType(data['CompanyID'], 'String');
            }
            if (data.hasOwnProperty('CoordinateID')) {
                obj['CoordinateID'] = ApiClient.convertToType(data['CoordinateID'], 'String');
            }
            if (data.hasOwnProperty('CreatedByID')) {
                obj['CreatedByID'] = ApiClient.convertToType(data['CreatedByID'], 'String');
            }
            if (data.hasOwnProperty('CreatedDate')) {
                obj['CreatedDate'] = ApiClient.convertToType(data['CreatedDate'], 'String');
            }
            if (data.hasOwnProperty('CustomerID')) {
                obj['CustomerID'] = ApiClient.convertToType(data['CustomerID'], 'String');
            }
            if (data.hasOwnProperty('CustomerPriority')) {
                obj['CustomerPriority'] = ApiClient.convertToType(data['CustomerPriority'], 'String');
            }
            if (data.hasOwnProperty('DBA')) {
                obj['DBA'] = ApiClient.convertToType(data['DBA'], 'String');
            }
            if (data.hasOwnProperty('DUNSNumber')) {
                obj['DUNSNumber'] = ApiClient.convertToType(data['DUNSNumber'], 'String');
            }
            if (data.hasOwnProperty('DandBCompanyID')) {
                obj['DandBCompanyID'] = ApiClient.convertToType(data['DandBCompanyID'], 'String');
            }
            if (data.hasOwnProperty('DefaultAddress')) {
                obj['DefaultAddress'] = Address.constructFromObject(data['DefaultAddress']);
            }
            if (data.hasOwnProperty('DefaultBackendID')) {
                obj['DefaultBackendID'] = ApiClient.convertToType(data['DefaultBackendID'], 'String');
            }
            if (data.hasOwnProperty('DefaultDeliveryContactID')) {
                obj['DefaultDeliveryContactID'] = ApiClient.convertToType(data['DefaultDeliveryContactID'], 'String');
            }
            if (data.hasOwnProperty('DefaultEndUserID')) {
                obj['DefaultEndUserID'] = ApiClient.convertToType(data['DefaultEndUserID'], 'String');
            }
            if (data.hasOwnProperty('Description')) {
                obj['Description'] = ApiClient.convertToType(data['Description'], 'String');
            }
            if (data.hasOwnProperty('EIN')) {
                obj['EIN'] = ApiClient.convertToType(data['EIN'], 'String');
            }
            if (data.hasOwnProperty('Email')) {
                obj['Email'] = ApiClient.convertToType(data['Email'], 'String');
            }
            if (data.hasOwnProperty('EnrollmentStatus')) {
                obj['EnrollmentStatus'] = ApiClient.convertToType(data['EnrollmentStatus'], 'String');
            }
            if (data.hasOwnProperty('Fax')) {
                obj['Fax'] = ApiClient.convertToType(data['Fax'], 'String');
            }
            if (data.hasOwnProperty('ID')) {
                obj['ID'] = ApiClient.convertToType(data['ID'], 'String');
            }
            if (data.hasOwnProperty('ISPCustomer')) {
                obj['ISPCustomer'] = ApiClient.convertToType(data['ISPCustomer'], 'Boolean');
            }
            if (data.hasOwnProperty('Industry')) {
                obj['Industry'] = ApiClient.convertToType(data['Industry'], 'String');
            }
            if (data.hasOwnProperty('IsCustomerPortal')) {
                obj['IsCustomerPortal'] = ApiClient.convertToType(data['IsCustomerPortal'], 'Boolean');
            }
            if (data.hasOwnProperty('IsPartner')) {
                obj['IsPartner'] = ApiClient.convertToType(data['IsPartner'], 'Boolean');
            }
            if (data.hasOwnProperty('JigSaw')) {
                obj['JigSaw'] = ApiClient.convertToType(data['JigSaw'], 'String');
            }
            if (data.hasOwnProperty('LastModifiedByID')) {
                obj['LastModifiedByID'] = ApiClient.convertToType(data['LastModifiedByID'], 'String');
            }
            if (data.hasOwnProperty('LastModifiedDate')) {
                obj['LastModifiedDate'] = ApiClient.convertToType(data['LastModifiedDate'], 'String');
            }
            if (data.hasOwnProperty('MSPCustomer')) {
                obj['MSPCustomer'] = ApiClient.convertToType(data['MSPCustomer'], 'Boolean');
            }
            if (data.hasOwnProperty('NAICSCode')) {
                obj['NAICSCode'] = ApiClient.convertToType(data['NAICSCode'], 'String');
            }
            if (data.hasOwnProperty('NAICSDesc')) {
                obj['NAICSDesc'] = ApiClient.convertToType(data['NAICSDesc'], 'String');
            }
            if (data.hasOwnProperty('Name')) {
                obj['Name'] = ApiClient.convertToType(data['Name'], 'String');
            }
            if (data.hasOwnProperty('NumberOfEmployees')) {
                obj['NumberOfEmployees'] = ApiClient.convertToType(data['NumberOfEmployees'], 'Number');
            }
            if (data.hasOwnProperty('NumberOfLocations')) {
                obj['NumberOfLocations'] = ApiClient.convertToType(data['NumberOfLocations'], 'Number');
            }
            if (data.hasOwnProperty('OpenCharges')) {
                obj['OpenCharges'] = ApiClient.convertToType(data['OpenCharges'], 'Number');
            }
            if (data.hasOwnProperty('OrderContactID')) {
                obj['OrderContactID'] = ApiClient.convertToType(data['OrderContactID'], 'String');
            }
            if (data.hasOwnProperty('OrderEmail')) {
                obj['OrderEmail'] = ApiClient.convertToType(data['OrderEmail'], 'String');
            }
            if (data.hasOwnProperty('OwnerID')) {
                obj['OwnerID'] = ApiClient.convertToType(data['OwnerID'], 'String');
            }
            if (data.hasOwnProperty('Ownership')) {
                obj['Ownership'] = ApiClient.convertToType(data['Ownership'], 'String');
            }
            if (data.hasOwnProperty('ParentFK')) {
                obj['ParentFK'] = ApiClient.convertToType(data['ParentFK'], 'String');
            }
            if (data.hasOwnProperty('ParentID')) {
                obj['ParentID'] = ApiClient.convertToType(data['ParentID'], 'String');
            }
            if (data.hasOwnProperty('Phone')) {
                obj['Phone'] = ApiClient.convertToType(data['Phone'], 'String');
            }
            if (data.hasOwnProperty('PlaceID')) {
                obj['PlaceID'] = ApiClient.convertToType(data['PlaceID'], 'String');
            }
            if (data.hasOwnProperty('PreparerID')) {
                obj['PreparerID'] = ApiClient.convertToType(data['PreparerID'], 'String');
            }
            if (data.hasOwnProperty('Rating')) {
                obj['Rating'] = ApiClient.convertToType(data['Rating'], 'String');
            }
            if (data.hasOwnProperty('RatingEngineID')) {
                obj['RatingEngineID'] = ApiClient.convertToType(data['RatingEngineID'], 'String');
            }
            if (data.hasOwnProperty('Ref')) {
                obj['Ref'] = ApiClient.convertToType(data['Ref'], 'String');
            }
            if (data.hasOwnProperty('RevenueBase')) {
                obj['RevenueBase'] = ApiClient.convertToType(data['RevenueBase'], 'Number');
            }
            if (data.hasOwnProperty('RevenueNet')) {
                obj['RevenueNet'] = ApiClient.convertToType(data['RevenueNet'], 'Number');
            }
            if (data.hasOwnProperty('RevenueNotTaxable')) {
                obj['RevenueNotTaxable'] = ApiClient.convertToType(data['RevenueNotTaxable'], 'Number');
            }
            if (data.hasOwnProperty('SIC')) {
                obj['SIC'] = ApiClient.convertToType(data['SIC'], 'String');
            }
            if (data.hasOwnProperty('SICDesc')) {
                obj['SICDesc'] = ApiClient.convertToType(data['SICDesc'], 'String');
            }
            if (data.hasOwnProperty('ShippingAddress')) {
                obj['ShippingAddress'] = Address.constructFromObject(data['ShippingAddress']);
            }
            if (data.hasOwnProperty('ShippingCensusTract')) {
                obj['ShippingCensusTract'] = ApiClient.convertToType(data['ShippingCensusTract'], 'String');
            }
            if (data.hasOwnProperty('ShippingContactID')) {
                obj['ShippingContactID'] = ApiClient.convertToType(data['ShippingContactID'], 'String');
            }
            if (data.hasOwnProperty('ShippingCounty')) {
                obj['ShippingCounty'] = ApiClient.convertToType(data['ShippingCounty'], 'String');
            }
            if (data.hasOwnProperty('Site')) {
                obj['Site'] = ApiClient.convertToType(data['Site'], 'String');
            }
            if (data.hasOwnProperty('Status')) {
                obj['Status'] = ApiClient.convertToType(data['Status'], 'String');
            }
            if (data.hasOwnProperty('TaxExemption')) {
                obj['TaxExemption'] = ApiClient.convertToType(data['TaxExemption'], 'String');
            }
            if (data.hasOwnProperty('TaxOnTax')) {
                obj['TaxOnTax'] = ApiClient.convertToType(data['TaxOnTax'], 'Number');
            }
            if (data.hasOwnProperty('TelecomCustomer')) {
                obj['TelecomCustomer'] = ApiClient.convertToType(data['TelecomCustomer'], 'Boolean');
            }
            if (data.hasOwnProperty('TenantID')) {
                obj['TenantID'] = ApiClient.convertToType(data['TenantID'], 'String');
            }
            if (data.hasOwnProperty('TickerSymbol')) {
                obj['TickerSymbol'] = ApiClient.convertToType(data['TickerSymbol'], 'String');
            }
            if (data.hasOwnProperty('TradeStyle')) {
                obj['TradeStyle'] = ApiClient.convertToType(data['TradeStyle'], 'String');
            }
            if (data.hasOwnProperty('Type')) {
                obj['Type'] = ApiClient.convertToType(data['Type'], 'String');
            }
            if (data.hasOwnProperty('UnappliedPayments')) {
                obj['UnappliedPayments'] = ApiClient.convertToType(data['UnappliedPayments'], 'Number');
            }
            if (data.hasOwnProperty('UnitBase')) {
                obj['UnitBase'] = ApiClient.convertToType(data['UnitBase'], 'Number');
            }
            if (data.hasOwnProperty('UpsellOpportunity')) {
                obj['UpsellOpportunity'] = ApiClient.convertToType(data['UpsellOpportunity'], 'String');
            }
            if (data.hasOwnProperty('WHMCSClientID')) {
                obj['WHMCSClientID'] = ApiClient.convertToType(data['WHMCSClientID'], 'Number');
            }
            if (data.hasOwnProperty('Website')) {
                obj['Website'] = ApiClient.convertToType(data['Website'], 'String');
            }
            if (data.hasOwnProperty('XeroContactID')) {
                obj['XeroContactID'] = ApiClient.convertToType(data['XeroContactID'], 'String');
            }
            if (data.hasOwnProperty('YearStarted')) {
                obj['YearStarted'] = ApiClient.convertToType(data['YearStarted'], 'String');
            }
        }
        return obj;
    }


}

/**
 * Account Number
 * @member {String} AccountNumber
 */
Account.prototype['AccountNumber'] = undefined;

/**
 * The marketing origin of this account
 * @member {String} AccountSource
 */
Account.prototype['AccountSource'] = undefined;

/**
 * Active
 * @member {Boolean} Active
 */
Account.prototype['Active'] = undefined;

/**
 * For tax authorities, this account's administrative level, e.g. Local, County, State or Federal
 * @member {String} AdministrativeLevel
 */
Account.prototype['AdministrativeLevel'] = undefined;

/**
 * Rollup Tax Amount
 * @member {Number} Amount
 */
Account.prototype['Amount'] = undefined;

/**
 * Amount Invoiced
 * @member {Number} AmountInvoiced
 */
Account.prototype['AmountInvoiced'] = undefined;

/**
 * Amount Paid
 * @member {Number} AmountPaid
 */
Account.prototype['AmountPaid'] = undefined;

/**
 * Annual Revenue Estimate
 * @member {Number} AnnualRevenue
 */
Account.prototype['AnnualRevenue'] = undefined;

/**
 * Account Balance
 * @member {Number} Balance
 */
Account.prototype['Balance'] = undefined;

/**
 * @member {module:model/Address} BillingAddress
 */
Account.prototype['BillingAddress'] = undefined;

/**
 * Contact ID
 * @member {String} BillingContactID
 */
Account.prototype['BillingContactID'] = undefined;

/**
 * Billing Preference
 * @member {String} BillingPreference
 */
Account.prototype['BillingPreference'] = undefined;

/**
 * @member {module:model/Address} BusinessAddress
 */
Account.prototype['BusinessAddress'] = undefined;

/**
 * Is this a cannabis customer?
 * @member {Boolean} CannabisCustomer
 */
Account.prototype['CannabisCustomer'] = undefined;

/**
 * Channel Program Level Name
 * @member {String} ChannelProgramLevelName
 */
Account.prototype['ChannelProgramLevelName'] = undefined;

/**
 * Channel Program Name
 * @member {String} ChannelProgramName
 */
Account.prototype['ChannelProgramName'] = undefined;

/**
 * Client End Date
 * @member {String} ClientEndDate
 */
Account.prototype['ClientEndDate'] = undefined;

/**
 * Client Start Date
 * @member {String} ClientStartDate
 */
Account.prototype['ClientStartDate'] = undefined;

/**
 * The Company ID of this Account
 * @member {String} CompanyID
 */
Account.prototype['CompanyID'] = undefined;

/**
 * The Id of the geo coordinates of this account
 * @member {String} CoordinateID
 */
Account.prototype['CoordinateID'] = undefined;

/**
 * Created By User ID
 * @member {String} CreatedByID
 */
Account.prototype['CreatedByID'] = undefined;

/**
 * Created Date
 * @member {String} CreatedDate
 */
Account.prototype['CreatedDate'] = undefined;

/**
 * Customer ID from source system
 * @member {String} CustomerID
 */
Account.prototype['CustomerID'] = undefined;

/**
 * Customer Priority
 * @member {String} CustomerPriority
 */
Account.prototype['CustomerPriority'] = undefined;

/**
 * This Account's 'Doing Business As' name
 * @member {String} DBA
 */
Account.prototype['DBA'] = undefined;

/**
 * D-U-N-S Number
 * @member {String} DUNSNumber
 */
Account.prototype['DUNSNumber'] = undefined;

/**
 * D-n-B Company
 * @member {String} DandBCompanyID
 */
Account.prototype['DandBCompanyID'] = undefined;

/**
 * @member {module:model/Address} DefaultAddress
 */
Account.prototype['DefaultAddress'] = undefined;

/**
 * Default Backend ID
 * @member {String} DefaultBackendID
 */
Account.prototype['DefaultBackendID'] = undefined;

/**
 * Default Delivery Address Contact ID
 * @member {String} DefaultDeliveryContactID
 */
Account.prototype['DefaultDeliveryContactID'] = undefined;

/**
 * Default End User Contact ID
 * @member {String} DefaultEndUserID
 */
Account.prototype['DefaultEndUserID'] = undefined;

/**
 * Description
 * @member {String} Description
 */
Account.prototype['Description'] = undefined;

/**
 * EIN
 * @member {String} EIN
 */
Account.prototype['EIN'] = undefined;

/**
 * Main Account Email
 * @member {String} Email
 */
Account.prototype['Email'] = undefined;

/**
 * Enrollment Status
 * @member {String} EnrollmentStatus
 */
Account.prototype['EnrollmentStatus'] = undefined;

/**
 * Fax
 * @member {String} Fax
 */
Account.prototype['Fax'] = undefined;

/**
 * Taxnexus Account Id
 * @member {String} ID
 */
Account.prototype['ID'] = undefined;

/**
 * ISP Customer?
 * @member {Boolean} ISPCustomer
 */
Account.prototype['ISPCustomer'] = undefined;

/**
 * Industry
 * @member {String} Industry
 */
Account.prototype['Industry'] = undefined;

/**
 * Customer Portal Account
 * @member {Boolean} IsCustomerPortal
 */
Account.prototype['IsCustomerPortal'] = undefined;

/**
 * Partner Account
 * @member {Boolean} IsPartner
 */
Account.prototype['IsPartner'] = undefined;

/**
 * Data.com Key
 * @member {String} JigSaw
 */
Account.prototype['JigSaw'] = undefined;

/**
 * Last Modified By User ID
 * @member {String} LastModifiedByID
 */
Account.prototype['LastModifiedByID'] = undefined;

/**
 * Last Modified Date
 * @member {String} LastModifiedDate
 */
Account.prototype['LastModifiedDate'] = undefined;

/**
 * MSP Customer?
 * @member {Boolean} MSPCustomer
 */
Account.prototype['MSPCustomer'] = undefined;

/**
 * NAICS Code
 * @member {String} NAICSCode
 */
Account.prototype['NAICSCode'] = undefined;

/**
 * NAICS Description
 * @member {String} NAICSDesc
 */
Account.prototype['NAICSDesc'] = undefined;

/**
 * Account Name
 * @member {String} Name
 */
Account.prototype['Name'] = undefined;

/**
 * Employee Count Estimate
 * @member {Number} NumberOfEmployees
 */
Account.prototype['NumberOfEmployees'] = undefined;

/**
 * Number of Locations Estimate
 * @member {Number} NumberOfLocations
 */
Account.prototype['NumberOfLocations'] = undefined;

/**
 * Open Charges
 * @member {Number} OpenCharges
 */
Account.prototype['OpenCharges'] = undefined;

/**
 * Vendor Order Contact ID
 * @member {String} OrderContactID
 */
Account.prototype['OrderContactID'] = undefined;

/**
 * Order Email
 * @member {String} OrderEmail
 */
Account.prototype['OrderEmail'] = undefined;

/**
 * Account Owner User ID
 * @member {String} OwnerID
 */
Account.prototype['OwnerID'] = undefined;

/**
 * Ownership
 * @member {String} Ownership
 */
Account.prototype['Ownership'] = undefined;

/**
 * Parent Foreign Key
 * @member {String} ParentFK
 */
Account.prototype['ParentFK'] = undefined;

/**
 * Parent Account
 * @member {String} ParentID
 */
Account.prototype['ParentID'] = undefined;

/**
 * Phone
 * @member {String} Phone
 */
Account.prototype['Phone'] = undefined;

/**
 * The ID of the Place situs record that applies to this Account
 * @member {String} PlaceID
 */
Account.prototype['PlaceID'] = undefined;

/**
 * Tax Preparer Contact ID
 * @member {String} PreparerID
 */
Account.prototype['PreparerID'] = undefined;

/**
 * Rating
 * @member {String} Rating
 */
Account.prototype['Rating'] = undefined;

/**
 * Rating Engine identifier
 * @member {String} RatingEngineID
 */
Account.prototype['RatingEngineID'] = undefined;

/**
 * External Reference ID
 * @member {String} Ref
 */
Account.prototype['Ref'] = undefined;

/**
 * Rollup Revenue Base
 * @member {Number} RevenueBase
 */
Account.prototype['RevenueBase'] = undefined;

/**
 * Rollup Revenue Net
 * @member {Number} RevenueNet
 */
Account.prototype['RevenueNet'] = undefined;

/**
 * Rollup Revenue Not Taxable
 * @member {Number} RevenueNotTaxable
 */
Account.prototype['RevenueNotTaxable'] = undefined;

/**
 * SIC Code
 * @member {String} SIC
 */
Account.prototype['SIC'] = undefined;

/**
 * SIC Description
 * @member {String} SICDesc
 */
Account.prototype['SICDesc'] = undefined;

/**
 * @member {module:model/Address} ShippingAddress
 */
Account.prototype['ShippingAddress'] = undefined;

/**
 * Shipping Census Tract
 * @member {String} ShippingCensusTract
 */
Account.prototype['ShippingCensusTract'] = undefined;

/**
 * Shipping Contact ID
 * @member {String} ShippingContactID
 */
Account.prototype['ShippingContactID'] = undefined;

/**
 * Shipping County
 * @member {String} ShippingCounty
 */
Account.prototype['ShippingCounty'] = undefined;

/**
 * Account Site
 * @member {String} Site
 */
Account.prototype['Site'] = undefined;

/**
 * Account Status
 * @member {String} Status
 */
Account.prototype['Status'] = undefined;

/**
 * Tax Exemption
 * @member {String} TaxExemption
 */
Account.prototype['TaxExemption'] = undefined;

/**
 * Rollup Tax On Tax
 * @member {Number} TaxOnTax
 */
Account.prototype['TaxOnTax'] = undefined;

/**
 * Telecom Customer?
 * @member {Boolean} TelecomCustomer
 */
Account.prototype['TelecomCustomer'] = undefined;

/**
 * Tenant Identifier
 * @member {String} TenantID
 */
Account.prototype['TenantID'] = undefined;

/**
 * Ticker Symbol
 * @member {String} TickerSymbol
 */
Account.prototype['TickerSymbol'] = undefined;

/**
 * Tradestyle
 * @member {String} TradeStyle
 */
Account.prototype['TradeStyle'] = undefined;

/**
 * Type
 * @member {String} Type
 */
Account.prototype['Type'] = undefined;

/**
 * Unapplied Payments
 * @member {Number} UnappliedPayments
 */
Account.prototype['UnappliedPayments'] = undefined;

/**
 * Rollup Unit Base
 * @member {Number} UnitBase
 */
Account.prototype['UnitBase'] = undefined;

/**
 * Upsell Opportunity
 * @member {String} UpsellOpportunity
 */
Account.prototype['UpsellOpportunity'] = undefined;

/**
 * WHMCS Client ID
 * @member {Number} WHMCSClientID
 */
Account.prototype['WHMCSClientID'] = undefined;

/**
 * Website
 * @member {String} Website
 */
Account.prototype['Website'] = undefined;

/**
 * Xero Contact ID
 * @member {String} XeroContactID
 */
Account.prototype['XeroContactID'] = undefined;

/**
 * Year Started
 * @member {String} YearStarted
 */
Account.prototype['YearStarted'] = undefined;






export default Account;

