/**
 * crm
 * Customer Information Microservice
 *
 * The version of the OpenAPI document: 0.0.2
 * Contact: noc@taxnexus.net
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';
import Address from './Address';

/**
 * The AccountBasic model module.
 * @module model/AccountBasic
 * @version 0.0.2
 */
class AccountBasic {
    /**
     * Constructs a new <code>AccountBasic</code>.
     * @alias module:model/AccountBasic
     */
    constructor() { 
        
        AccountBasic.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>AccountBasic</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/AccountBasic} obj Optional instance to populate.
     * @return {module:model/AccountBasic} The populated <code>AccountBasic</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new AccountBasic();

            if (data.hasOwnProperty('AccountNumber')) {
                obj['AccountNumber'] = ApiClient.convertToType(data['AccountNumber'], 'String');
            }
            if (data.hasOwnProperty('BillingAddress')) {
                obj['BillingAddress'] = Address.constructFromObject(data['BillingAddress']);
            }
            if (data.hasOwnProperty('BillingContactID')) {
                obj['BillingContactID'] = ApiClient.convertToType(data['BillingContactID'], 'String');
            }
            if (data.hasOwnProperty('CompanyID')) {
                obj['CompanyID'] = ApiClient.convertToType(data['CompanyID'], 'String');
            }
            if (data.hasOwnProperty('CoordinateID')) {
                obj['CoordinateID'] = ApiClient.convertToType(data['CoordinateID'], 'String');
            }
            if (data.hasOwnProperty('CustomerID')) {
                obj['CustomerID'] = ApiClient.convertToType(data['CustomerID'], 'String');
            }
            if (data.hasOwnProperty('DefaultAddress')) {
                obj['DefaultAddress'] = Address.constructFromObject(data['DefaultAddress']);
            }
            if (data.hasOwnProperty('DefaultBackendID')) {
                obj['DefaultBackendID'] = ApiClient.convertToType(data['DefaultBackendID'], 'String');
            }
            if (data.hasOwnProperty('DefaultDeliveryContactID')) {
                obj['DefaultDeliveryContactID'] = ApiClient.convertToType(data['DefaultDeliveryContactID'], 'String');
            }
            if (data.hasOwnProperty('DefaultEndUserID')) {
                obj['DefaultEndUserID'] = ApiClient.convertToType(data['DefaultEndUserID'], 'String');
            }
            if (data.hasOwnProperty('Email')) {
                obj['Email'] = ApiClient.convertToType(data['Email'], 'String');
            }
            if (data.hasOwnProperty('Fax')) {
                obj['Fax'] = ApiClient.convertToType(data['Fax'], 'String');
            }
            if (data.hasOwnProperty('ID')) {
                obj['ID'] = ApiClient.convertToType(data['ID'], 'String');
            }
            if (data.hasOwnProperty('Name')) {
                obj['Name'] = ApiClient.convertToType(data['Name'], 'String');
            }
            if (data.hasOwnProperty('ParentFK')) {
                obj['ParentFK'] = ApiClient.convertToType(data['ParentFK'], 'String');
            }
            if (data.hasOwnProperty('Phone')) {
                obj['Phone'] = ApiClient.convertToType(data['Phone'], 'String');
            }
            if (data.hasOwnProperty('PreparerID')) {
                obj['PreparerID'] = ApiClient.convertToType(data['PreparerID'], 'String');
            }
            if (data.hasOwnProperty('Ref')) {
                obj['Ref'] = ApiClient.convertToType(data['Ref'], 'String');
            }
            if (data.hasOwnProperty('ShippingAddress')) {
                obj['ShippingAddress'] = Address.constructFromObject(data['ShippingAddress']);
            }
            if (data.hasOwnProperty('ShippingContactID')) {
                obj['ShippingContactID'] = ApiClient.convertToType(data['ShippingContactID'], 'String');
            }
            if (data.hasOwnProperty('Site')) {
                obj['Site'] = ApiClient.convertToType(data['Site'], 'String');
            }
            if (data.hasOwnProperty('TenantID')) {
                obj['TenantID'] = ApiClient.convertToType(data['TenantID'], 'String');
            }
            if (data.hasOwnProperty('Type')) {
                obj['Type'] = ApiClient.convertToType(data['Type'], 'String');
            }
            if (data.hasOwnProperty('Website')) {
                obj['Website'] = ApiClient.convertToType(data['Website'], 'String');
            }
        }
        return obj;
    }


}

/**
 * Taxnexus Account Number of the OEM/Reseller 
 * @member {String} AccountNumber
 */
AccountBasic.prototype['AccountNumber'] = undefined;

/**
 * @member {module:model/Address} BillingAddress
 */
AccountBasic.prototype['BillingAddress'] = undefined;

/**
 * Contact ID
 * @member {String} BillingContactID
 */
AccountBasic.prototype['BillingContactID'] = undefined;

/**
 * Taxnexus OEM/Reseller Record Id
 * @member {String} CompanyID
 */
AccountBasic.prototype['CompanyID'] = undefined;

/**
 * The id of the Coordinate of the business establishment
 * @member {String} CoordinateID
 */
AccountBasic.prototype['CoordinateID'] = undefined;

/**
 * Taxpayer Customer Id designated by OEM/Reseller
 * @member {String} CustomerID
 */
AccountBasic.prototype['CustomerID'] = undefined;

/**
 * @member {module:model/Address} DefaultAddress
 */
AccountBasic.prototype['DefaultAddress'] = undefined;

/**
 * Default Backend ID
 * @member {String} DefaultBackendID
 */
AccountBasic.prototype['DefaultBackendID'] = undefined;

/**
 * Default Delivery Address Contact ID
 * @member {String} DefaultDeliveryContactID
 */
AccountBasic.prototype['DefaultDeliveryContactID'] = undefined;

/**
 * Contact ID
 * @member {String} DefaultEndUserID
 */
AccountBasic.prototype['DefaultEndUserID'] = undefined;

/**
 * Taxpayer Public Email Address
 * @member {String} Email
 */
AccountBasic.prototype['Email'] = undefined;

/**
 * Taxpayer Fax Number
 * @member {String} Fax
 */
AccountBasic.prototype['Fax'] = undefined;

/**
 * Taxpayer Account Record Id
 * @member {String} ID
 */
AccountBasic.prototype['ID'] = undefined;

/**
 * Taxpayer Account Name (ignored for Tax Processing)
 * @member {String} Name
 */
AccountBasic.prototype['Name'] = undefined;

/**
 * UUID Reference the master record that owns this item
 * @member {String} ParentFK
 */
AccountBasic.prototype['ParentFK'] = undefined;

/**
 * Taxpayer Public Phone Number
 * @member {String} Phone
 */
AccountBasic.prototype['Phone'] = undefined;

/**
 * Contact ID
 * @member {String} PreparerID
 */
AccountBasic.prototype['PreparerID'] = undefined;

/**
 * Source System identifier for this record, if any
 * @member {String} Ref
 */
AccountBasic.prototype['Ref'] = undefined;

/**
 * @member {module:model/Address} ShippingAddress
 */
AccountBasic.prototype['ShippingAddress'] = undefined;

/**
 * Contact ID
 * @member {String} ShippingContactID
 */
AccountBasic.prototype['ShippingContactID'] = undefined;

/**
 * Taxpayer Location Designation
 * @member {String} Site
 */
AccountBasic.prototype['Site'] = undefined;

/**
 * Tenant Identifier
 * @member {String} TenantID
 */
AccountBasic.prototype['TenantID'] = undefined;

/**
 * Account Type
 * @member {String} Type
 */
AccountBasic.prototype['Type'] = undefined;

/**
 * Taxpayer Website
 * @member {String} Website
 */
AccountBasic.prototype['Website'] = undefined;






export default AccountBasic;

