# devops

Devops - JavaScript client for devops
System Operations Microservice
This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.0.2
- Package version: 0.0.2
- Build package: org.openapitools.codegen.languages.JavascriptClientCodegen

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/), please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install devops --save
```

Finally, you need to build the module:

```shell
npm run build
```

##### Local development

To use the library locally without publishing to a remote npm registry, first install the dependencies by changing into the directory containing `package.json` (and this README). Let's call this `JAVASCRIPT_CLIENT_DIR`. Then run:

```shell
npm install
```

Next, [link](https://docs.npmjs.com/cli/link) it globally in npm with the following, also from `JAVASCRIPT_CLIENT_DIR`:

```shell
npm link
```

To use the link you just defined in your project, switch to the directory you want to use your devops from, and run:

```shell
npm link /path/to/<JAVASCRIPT_CLIENT_DIR>
```

Finally, you need to build the module:

```shell
npm run build
```

#### git

If the library is hosted at a git repository, e.g.https://github.com/GIT_USER_ID/GIT_REPO_ID
then install it via:

```shell
    npm install GIT_USER_ID/GIT_REPO_ID --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

### Webpack Configuration

Using Webpack you may encounter the following error: "Module not found: Error:
Cannot resolve module", most certainly you should disable AMD loader. Add/merge
the following section to your webpack config:

```javascript
module: {
  rules: [
    {
      parser: {
        amd: false
      }
    }
  ]
}
```

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var Devops = require('devops');

var defaultClient = Devops.ApiClient.instance;
// Configure API key authorization: ApiKeyAuth
var ApiKeyAuth = defaultClient.authentications['ApiKeyAuth'];
ApiKeyAuth.apiKey = "YOUR API KEY"
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//ApiKeyAuth.apiKeyPrefix['X-API-Key'] = "Token"

var api = new Devops.ClusterApi()
var clusterIdPath = "clusterIdPath_example"; // {String} Taxnexus Record Id of a Cluster
var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.getCluster(clusterIdPath, callback);

```

## Documentation for API Endpoints

All URIs are relative to *http://devops.vernonkeenan.com:8080/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*Devops.ClusterApi* | [**getCluster**](docs/ClusterApi.md#getCluster) | **GET** /clusters/{clusterIdPath} | Get a single Cluster object
*Devops.ClusterApi* | [**getClusters**](docs/ClusterApi.md#getClusters) | **GET** /clusters | Get a list Clusters
*Devops.ClusterApi* | [**getClustersObservable**](docs/ClusterApi.md#getClustersObservable) | **GET** /clusters/observable | Get Clusters in an observable array
*Devops.ClusterApi* | [**postClusters**](docs/ClusterApi.md#postClusters) | **POST** /clusters | Create new Clusters
*Devops.ClusterApi* | [**putClusters**](docs/ClusterApi.md#putClusters) | **PUT** /clusters | Update Clustera
*Devops.CorsApi* | [**clusterOptions**](docs/CorsApi.md#clusterOptions) | **OPTIONS** /clusters/observable | 
*Devops.CorsApi* | [**clustersOptions**](docs/CorsApi.md#clustersOptions) | **OPTIONS** /clusters | 
*Devops.CorsApi* | [**databaseOptions**](docs/CorsApi.md#databaseOptions) | **OPTIONS** /databases/observable | 
*Devops.CorsApi* | [**databasesOptions**](docs/CorsApi.md#databasesOptions) | **OPTIONS** /databases | 
*Devops.CorsApi* | [**templateOptions**](docs/CorsApi.md#templateOptions) | **OPTIONS** /templates/observable | 
*Devops.CorsApi* | [**templatesOptions**](docs/CorsApi.md#templatesOptions) | **OPTIONS** /templates | 
*Devops.CorsApi* | [**tenantOptions**](docs/CorsApi.md#tenantOptions) | **OPTIONS** /tenants/observable | 
*Devops.CorsApi* | [**tenantsOptions**](docs/CorsApi.md#tenantsOptions) | **OPTIONS** /tenants | 
*Devops.CorsApi* | [**userOptions**](docs/CorsApi.md#userOptions) | **OPTIONS** /users/observable | 
*Devops.CorsApi* | [**usersOptions**](docs/CorsApi.md#usersOptions) | **OPTIONS** /users | 
*Devops.DatabaseApi* | [**getDatabase**](docs/DatabaseApi.md#getDatabase) | **GET** /databases/{databaseIdPath} | Get a single Database object
*Devops.DatabaseApi* | [**getDatabases**](docs/DatabaseApi.md#getDatabases) | **GET** /databases | Get a list Databases
*Devops.DatabaseApi* | [**getDatabasesObservable**](docs/DatabaseApi.md#getDatabasesObservable) | **GET** /databases/observable | Get Databases in an observable array
*Devops.DatabaseApi* | [**postDatabases**](docs/DatabaseApi.md#postDatabases) | **POST** /databases | Create new Databases
*Devops.DatabaseApi* | [**putDatabases**](docs/DatabaseApi.md#putDatabases) | **PUT** /databases | Update Databases
*Devops.TemplateApi* | [**getTemplate**](docs/TemplateApi.md#getTemplate) | **GET** /templates/{templateIdPath} | Get a single Template object
*Devops.TemplateApi* | [**getTemplates**](docs/TemplateApi.md#getTemplates) | **GET** /templates | Get a list Templates
*Devops.TemplateApi* | [**getTemplatesObservable**](docs/TemplateApi.md#getTemplatesObservable) | **GET** /templates/observable | Get Templates in an observable array
*Devops.TemplateApi* | [**postTemplates**](docs/TemplateApi.md#postTemplates) | **POST** /templates | Create new Templates
*Devops.TenantApi* | [**getTenant**](docs/TenantApi.md#getTenant) | **GET** /tenants/{tenantIdPath} | Get a single Tenant object
*Devops.TenantApi* | [**getTenants**](docs/TenantApi.md#getTenants) | **GET** /tenants | Get a list Tenants
*Devops.TenantApi* | [**getTenantsObservable**](docs/TenantApi.md#getTenantsObservable) | **GET** /tenants/observable | Get Tenants in an observable array
*Devops.TenantApi* | [**postTenants**](docs/TenantApi.md#postTenants) | **POST** /tenants | Create new Tenants
*Devops.TenantApi* | [**putTenants**](docs/TenantApi.md#putTenants) | **PUT** /tenants | Update Tenants
*Devops.UserApi* | [**getUser**](docs/UserApi.md#getUser) | **GET** /users/{userIdPath} | Get a single User object
*Devops.UserApi* | [**getUsers**](docs/UserApi.md#getUsers) | **GET** /users | Get a list Users
*Devops.UserApi* | [**getUsersObservable**](docs/UserApi.md#getUsersObservable) | **GET** /users/observable | Get Users in an observable array
*Devops.UserApi* | [**postUsers**](docs/UserApi.md#postUsers) | **POST** /users | Create new Users
*Devops.UserApi* | [**putUsers**](docs/UserApi.md#putUsers) | **PUT** /users | Update existing users


## Documentation for Models

 - [Devops.Address](docs/Address.md)
 - [Devops.Cluster](docs/Cluster.md)
 - [Devops.ClusterRequest](docs/ClusterRequest.md)
 - [Devops.ClusterResponse](docs/ClusterResponse.md)
 - [Devops.Database](docs/Database.md)
 - [Devops.DatabaseRequest](docs/DatabaseRequest.md)
 - [Devops.DatabaseResponse](docs/DatabaseResponse.md)
 - [Devops.DeleteResponse](docs/DeleteResponse.md)
 - [Devops.Error](docs/Error.md)
 - [Devops.Message](docs/Message.md)
 - [Devops.Pagination](docs/Pagination.md)
 - [Devops.RequestMeta](docs/RequestMeta.md)
 - [Devops.ResponseMeta](docs/ResponseMeta.md)
 - [Devops.Role](docs/Role.md)
 - [Devops.RoleRequest](docs/RoleRequest.md)
 - [Devops.RoleResponse](docs/RoleResponse.md)
 - [Devops.Template](docs/Template.md)
 - [Devops.TemplateRequest](docs/TemplateRequest.md)
 - [Devops.TemplateResponse](docs/TemplateResponse.md)
 - [Devops.Tenant](docs/Tenant.md)
 - [Devops.TenantRequest](docs/TenantRequest.md)
 - [Devops.TenantResponse](docs/TenantResponse.md)
 - [Devops.TenantUser](docs/TenantUser.md)
 - [Devops.User](docs/User.md)
 - [Devops.UserRequest](docs/UserRequest.md)
 - [Devops.UserResponse](docs/UserResponse.md)
 - [Devops.UserRole](docs/UserRole.md)


## Documentation for Authorization



### ApiKeyAuth


- **Type**: API key
- **API key parameter name**: X-API-Key
- **Location**: HTTP header

