# research

Research - JavaScript client for research
Customer Information Microservice
This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.0.2
- Package version: 0.0.2
- Build package: org.openapitools.codegen.languages.JavascriptClientCodegen

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/), please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install research --save
```

Finally, you need to build the module:

```shell
npm run build
```

##### Local development

To use the library locally without publishing to a remote npm registry, first install the dependencies by changing into the directory containing `package.json` (and this README). Let's call this `JAVASCRIPT_CLIENT_DIR`. Then run:

```shell
npm install
```

Next, [link](https://docs.npmjs.com/cli/link) it globally in npm with the following, also from `JAVASCRIPT_CLIENT_DIR`:

```shell
npm link
```

To use the link you just defined in your project, switch to the directory you want to use your research from, and run:

```shell
npm link /path/to/<JAVASCRIPT_CLIENT_DIR>
```

Finally, you need to build the module:

```shell
npm run build
```

#### git

If the library is hosted at a git repository, e.g.https://github.com/GIT_USER_ID/GIT_REPO_ID
then install it via:

```shell
    npm install GIT_USER_ID/GIT_REPO_ID --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

### Webpack Configuration

Using Webpack you may encounter the following error: "Module not found: Error:
Cannot resolve module", most certainly you should disable AMD loader. Add/merge
the following section to your webpack config:

```javascript
module: {
  rules: [
    {
      parser: {
        amd: false
      }
    }
  ]
}
```

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var Research = require('research');


var api = new Research.CorsApi()
var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
api.industryObservableOptions(callback);

```

## Documentation for API Endpoints

All URIs are relative to *http://research.vernonkeenan.com:8080/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*Research.CorsApi* | [**industryObservableOptions**](docs/CorsApi.md#industryObservableOptions) | **OPTIONS** /industries/observable | 
*Research.CorsApi* | [**industryOptions**](docs/CorsApi.md#industryOptions) | **OPTIONS** /industries | 
*Research.CorsApi* | [**topicObservableOptions**](docs/CorsApi.md#topicObservableOptions) | **OPTIONS** /topics/observable | 
*Research.CorsApi* | [**topicOptions**](docs/CorsApi.md#topicOptions) | **OPTIONS** /topics | 
*Research.IndustryApi* | [**getIndustries**](docs/IndustryApi.md#getIndustries) | **GET** /industries | Get Industry records
*Research.IndustryApi* | [**getIndustriesObservable**](docs/IndustryApi.md#getIndustriesObservable) | **GET** /industries/observable | Get Taxnexus Companies in an observable array
*Research.IndustryApi* | [**postIndustries**](docs/IndustryApi.md#postIndustries) | **POST** /industries | Add new companies
*Research.TopicApi* | [**getTopics**](docs/TopicApi.md#getTopics) | **GET** /topics | Get Topic records
*Research.TopicApi* | [**getTopicsObservable**](docs/TopicApi.md#getTopicsObservable) | **GET** /topics/observable | Get Taxnexus Companies in an observable array
*Research.TopicApi* | [**postTopics**](docs/TopicApi.md#postTopics) | **POST** /topics | Add new companies


## Documentation for Models

 - [Research.Address](docs/Address.md)
 - [Research.CompanyProduct](docs/CompanyProduct.md)
 - [Research.DeleteResponse](docs/DeleteResponse.md)
 - [Research.Error](docs/Error.md)
 - [Research.Factor](docs/Factor.md)
 - [Research.Industry](docs/Industry.md)
 - [Research.IndustryRequest](docs/IndustryRequest.md)
 - [Research.IndustryResponse](docs/IndustryResponse.md)
 - [Research.InvalidError](docs/InvalidError.md)
 - [Research.InvalidErrorAllOf](docs/InvalidErrorAllOf.md)
 - [Research.Message](docs/Message.md)
 - [Research.Observation](docs/Observation.md)
 - [Research.Pagination](docs/Pagination.md)
 - [Research.RequestMeta](docs/RequestMeta.md)
 - [Research.ResponseMeta](docs/ResponseMeta.md)
 - [Research.Topic](docs/Topic.md)
 - [Research.TopicRequest](docs/TopicRequest.md)
 - [Research.TopicResponse](docs/TopicResponse.md)


## Documentation for Authorization



### ApiKeyAuth


- **Type**: API key
- **API key parameter name**: X-API-Key
- **Location**: HTTP header

