# Research.IndustryApi

All URIs are relative to *http://research.vernonkeenan.com:8080/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getIndustries**](IndustryApi.md#getIndustries) | **GET** /industries | Get Industry records
[**getIndustriesObservable**](IndustryApi.md#getIndustriesObservable) | **GET** /industries/observable | Get Taxnexus Companies in an observable array
[**postIndustries**](IndustryApi.md#postIndustries) | **POST** /industries | Add new companies



## getIndustries

> IndustryResponse getIndustries(opts)

Get Industry records

Retrieve Industry records from the datastore

### Example

```javascript
import Research from 'research';
let defaultClient = Research.ApiClient.instance;
// Configure API key authorization: ApiKeyAuth
let ApiKeyAuth = defaultClient.authentications['ApiKeyAuth'];
ApiKeyAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//ApiKeyAuth.apiKeyPrefix = 'Token';

let apiInstance = new Research.IndustryApi();
let opts = {
  'industryId': "industryId_example" // String | Taxnexus Industry record ID
};
apiInstance.getIndustries(opts, (error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
});
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **industryId** | **String**| Taxnexus Industry record ID | [optional] 

### Return type

[**IndustryResponse**](IndustryResponse.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## getIndustriesObservable

> [Industry] getIndustriesObservable(opts)

Get Taxnexus Companies in an observable array

A list of companies in a simple JSON array

### Example

```javascript
import Research from 'research';
let defaultClient = Research.ApiClient.instance;
// Configure API key authorization: ApiKeyAuth
let ApiKeyAuth = defaultClient.authentications['ApiKeyAuth'];
ApiKeyAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//ApiKeyAuth.apiKeyPrefix = 'Token';

let apiInstance = new Research.IndustryApi();
let opts = {
  'industryId': "industryId_example" // String | Taxnexus Industry record ID
};
apiInstance.getIndustriesObservable(opts, (error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
});
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **industryId** | **String**| Taxnexus Industry record ID | [optional] 

### Return type

[**[Industry]**](Industry.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## postIndustries

> IndustryResponse postIndustries(industryRequest)

Add new companies

Add new companies

### Example

```javascript
import Research from 'research';
let defaultClient = Research.ApiClient.instance;
// Configure API key authorization: ApiKeyAuth
let ApiKeyAuth = defaultClient.authentications['ApiKeyAuth'];
ApiKeyAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//ApiKeyAuth.apiKeyPrefix = 'Token';

let apiInstance = new Research.IndustryApi();
let industryRequest = new Research.IndustryRequest(); // IndustryRequest | An array of new Industry records
apiInstance.postIndustries(industryRequest, (error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
});
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **industryRequest** | [**IndustryRequest**](IndustryRequest.md)| An array of new Industry records | 

### Return type

[**IndustryResponse**](IndustryResponse.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

