/**
 * research
 * Customer Information Microservice
 *
 * The version of the OpenAPI document: 0.0.2
 * Contact: noc@taxnexus.net
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import Error from '../model/Error';
import Industry from '../model/Industry';
import IndustryRequest from '../model/IndustryRequest';
import IndustryResponse from '../model/IndustryResponse';

/**
* Industry service.
* @module api/IndustryApi
* @version 0.0.2
*/
export default class IndustryApi {

    /**
    * Constructs a new IndustryApi. 
    * @alias module:api/IndustryApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }


    /**
     * Callback function to receive the result of the getIndustries operation.
     * @callback module:api/IndustryApi~getIndustriesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/IndustryResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get Industry records
     * Retrieve Industry records from the datastore
     * @param {Object} opts Optional parameters
     * @param {String} opts.industryId Taxnexus Industry record ID
     * @param {module:api/IndustryApi~getIndustriesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/IndustryResponse}
     */
    getIndustries(opts, callback) {
      opts = opts || {};
      let postBody = null;

      let pathParams = {
      };
      let queryParams = {
        'industryId': opts['industryId']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['ApiKeyAuth'];
      let contentTypes = [];
      let accepts = ['application/json'];
      let returnType = IndustryResponse;
      return this.apiClient.callApi(
        '/industries', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null, callback
      );
    }

    /**
     * Callback function to receive the result of the getIndustriesObservable operation.
     * @callback module:api/IndustryApi~getIndustriesObservableCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/Industry>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get Taxnexus Companies in an observable array
     * A list of companies in a simple JSON array
     * @param {Object} opts Optional parameters
     * @param {String} opts.industryId Taxnexus Industry record ID
     * @param {module:api/IndustryApi~getIndustriesObservableCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/Industry>}
     */
    getIndustriesObservable(opts, callback) {
      opts = opts || {};
      let postBody = null;

      let pathParams = {
      };
      let queryParams = {
        'industryId': opts['industryId']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['ApiKeyAuth'];
      let contentTypes = [];
      let accepts = ['application/json'];
      let returnType = [Industry];
      return this.apiClient.callApi(
        '/industries/observable', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null, callback
      );
    }

    /**
     * Callback function to receive the result of the postIndustries operation.
     * @callback module:api/IndustryApi~postIndustriesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/IndustryResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Add new companies
     * Add new companies
     * @param {module:model/IndustryRequest} industryRequest An array of new Industry records
     * @param {module:api/IndustryApi~postIndustriesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/IndustryResponse}
     */
    postIndustries(industryRequest, callback) {
      let postBody = industryRequest;
      // verify the required parameter 'industryRequest' is set
      if (industryRequest === undefined || industryRequest === null) {
        throw new Error("Missing the required parameter 'industryRequest' when calling postIndustries");
      }

      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['ApiKeyAuth'];
      let contentTypes = ['application/json'];
      let accepts = ['application/json'];
      let returnType = IndustryResponse;
      return this.apiClient.callApi(
        '/industries', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null, callback
      );
    }


}
