/**
 * research
 * Customer Information Microservice
 *
 * The version of the OpenAPI document: 0.0.2
 * Contact: noc@taxnexus.net
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import Error from '../model/Error';
import Topic from '../model/Topic';
import TopicRequest from '../model/TopicRequest';
import TopicResponse from '../model/TopicResponse';

/**
* Topic service.
* @module api/TopicApi
* @version 0.0.2
*/
export default class TopicApi {

    /**
    * Constructs a new TopicApi. 
    * @alias module:api/TopicApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }


    /**
     * Callback function to receive the result of the getTopics operation.
     * @callback module:api/TopicApi~getTopicsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/TopicResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get Topic records
     * Retrieve Topic records from the datastore
     * @param {Object} opts Optional parameters
     * @param {String} opts.topicId Taxnexus Topic record ID
     * @param {module:api/TopicApi~getTopicsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/TopicResponse}
     */
    getTopics(opts, callback) {
      opts = opts || {};
      let postBody = null;

      let pathParams = {
      };
      let queryParams = {
        'topicId': opts['topicId']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['ApiKeyAuth'];
      let contentTypes = [];
      let accepts = ['application/json'];
      let returnType = TopicResponse;
      return this.apiClient.callApi(
        '/topics', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null, callback
      );
    }

    /**
     * Callback function to receive the result of the getTopicsObservable operation.
     * @callback module:api/TopicApi~getTopicsObservableCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/Topic>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get Taxnexus Companies in an observable array
     * A list of companies in a simple JSON array
     * @param {Object} opts Optional parameters
     * @param {String} opts.topicId Taxnexus Topic record ID
     * @param {module:api/TopicApi~getTopicsObservableCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/Topic>}
     */
    getTopicsObservable(opts, callback) {
      opts = opts || {};
      let postBody = null;

      let pathParams = {
      };
      let queryParams = {
        'topicId': opts['topicId']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['ApiKeyAuth'];
      let contentTypes = [];
      let accepts = ['application/json'];
      let returnType = [Topic];
      return this.apiClient.callApi(
        '/topics/observable', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null, callback
      );
    }

    /**
     * Callback function to receive the result of the postTopics operation.
     * @callback module:api/TopicApi~postTopicsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/TopicResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Add new companies
     * Add new companies
     * @param {module:model/TopicRequest} topicRequest An array of new Topic records
     * @param {module:api/TopicApi~postTopicsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/TopicResponse}
     */
    postTopics(topicRequest, callback) {
      let postBody = topicRequest;
      // verify the required parameter 'topicRequest' is set
      if (topicRequest === undefined || topicRequest === null) {
        throw new Error("Missing the required parameter 'topicRequest' when calling postTopics");
      }

      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['ApiKeyAuth'];
      let contentTypes = ['application/json'];
      let accepts = ['application/json'];
      let returnType = TopicResponse;
      return this.apiClient.callApi(
        '/topics', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null, callback
      );
    }


}
