/**
 * research
 * Customer Information Microservice
 *
 * The version of the OpenAPI document: 0.0.2
 * Contact: noc@taxnexus.net
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';
import Factor from './Factor';

/**
 * The Topic model module.
 * @module model/Topic
 * @version 0.0.2
 */
class Topic {
    /**
     * Constructs a new <code>Topic</code>.
     * A research topic that collects data
     * @alias module:model/Topic
     */
    constructor() { 
        
        Topic.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>Topic</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/Topic} obj Optional instance to populate.
     * @return {module:model/Topic} The populated <code>Topic</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new Topic();

            if (data.hasOwnProperty('ID')) {
                obj['ID'] = ApiClient.convertToType(data['ID'], 'String');
            }
            if (data.hasOwnProperty('CreatedByID')) {
                obj['CreatedByID'] = ApiClient.convertToType(data['CreatedByID'], 'String');
            }
            if (data.hasOwnProperty('CreatedDate')) {
                obj['CreatedDate'] = ApiClient.convertToType(data['CreatedDate'], 'String');
            }
            if (data.hasOwnProperty('LastModifiedByID')) {
                obj['LastModifiedByID'] = ApiClient.convertToType(data['LastModifiedByID'], 'String');
            }
            if (data.hasOwnProperty('LastModifiedDate')) {
                obj['LastModifiedDate'] = ApiClient.convertToType(data['LastModifiedDate'], 'String');
            }
            if (data.hasOwnProperty('Name')) {
                obj['Name'] = ApiClient.convertToType(data['Name'], 'String');
            }
            if (data.hasOwnProperty('Description')) {
                obj['Description'] = ApiClient.convertToType(data['Description'], 'String');
            }
            if (data.hasOwnProperty('SiteURL')) {
                obj['SiteURL'] = ApiClient.convertToType(data['SiteURL'], 'String');
            }
            if (data.hasOwnProperty('ParentTopicID')) {
                obj['ParentTopicID'] = ApiClient.convertToType(data['ParentTopicID'], 'String');
            }
            if (data.hasOwnProperty('Factors')) {
                obj['Factors'] = ApiClient.convertToType(data['Factors'], [Factor]);
            }
        }
        return obj;
    }


}

/**
 * Taxnexus Record Id
 * @member {String} ID
 */
Topic.prototype['ID'] = undefined;

/**
 * Created By User ID
 * @member {String} CreatedByID
 */
Topic.prototype['CreatedByID'] = undefined;

/**
 * Created Date
 * @member {String} CreatedDate
 */
Topic.prototype['CreatedDate'] = undefined;

/**
 * Last Modified By User ID
 * @member {String} LastModifiedByID
 */
Topic.prototype['LastModifiedByID'] = undefined;

/**
 * Last Modified Date
 * @member {String} LastModifiedDate
 */
Topic.prototype['LastModifiedDate'] = undefined;

/**
 * Topic Name
 * @member {String} Name
 */
Topic.prototype['Name'] = undefined;

/**
 * Topic Description
 * @member {String} Description
 */
Topic.prototype['Description'] = undefined;

/**
 * The URL of the corresponding page on the CMS
 * @member {String} SiteURL
 */
Topic.prototype['SiteURL'] = undefined;

/**
 * The ID of the Parent Topic
 * @member {String} ParentTopicID
 */
Topic.prototype['ParentTopicID'] = undefined;

/**
 * The list of Factors used to analyze this industry
 * @member {Array.<module:model/Factor>} Factors
 */
Topic.prototype['Factors'] = undefined;






export default Topic;

