/**
 * sf-gate
 * Customer Information Microservice
 *
 * The version of the OpenAPI document: 0.0.2
 * Contact: noc@taxnexus.net
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import DatabaseRequest from '../model/DatabaseRequest';
import DatabaseResponse from '../model/DatabaseResponse';
import Error from '../model/Error';

/**
* Databases service.
* @module api/DatabasesApi
* @version 0.0.2
*/
export default class DatabasesApi {

    /**
    * Constructs a new DatabasesApi. 
    * @alias module:api/DatabasesApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }


    /**
     * Callback function to receive the result of the getDatabases operation.
     * @callback module:api/DatabasesApi~getDatabasesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/DatabaseResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get a list Databases
     * Return a list of Database records from the datastore
     * @param {Object} opts Optional parameters
     * @param {String} opts.databaseId Taxnexus Record Id of a Database
     * @param {Number} opts.limit How many objects to return at one time
     * @param {Number} opts.offset How many objects to skip?
     * @param {module:api/DatabasesApi~getDatabasesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/DatabaseResponse}
     */
    getDatabases(opts, callback) {
      opts = opts || {};
      let postBody = null;

      let pathParams = {
      };
      let queryParams = {
        'databaseId': opts['databaseId'],
        'limit': opts['limit'],
        'offset': opts['offset']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['ApiKeyAuth'];
      let contentTypes = [];
      let accepts = ['application/json'];
      let returnType = DatabaseResponse;
      return this.apiClient.callApi(
        '/databases', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null, callback
      );
    }

    /**
     * Callback function to receive the result of the postDatabases operation.
     * @callback module:api/DatabasesApi~postDatabasesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/DatabaseResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Create new Databases
     * Create Databases in Taxnexus
     * @param {module:model/DatabaseRequest} databaseRequest An array of Database records
     * @param {module:api/DatabasesApi~postDatabasesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/DatabaseResponse}
     */
    postDatabases(databaseRequest, callback) {
      let postBody = databaseRequest;
      // verify the required parameter 'databaseRequest' is set
      if (databaseRequest === undefined || databaseRequest === null) {
        throw new Error("Missing the required parameter 'databaseRequest' when calling postDatabases");
      }

      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['ApiKeyAuth'];
      let contentTypes = ['application/json'];
      let accepts = ['application/json'];
      let returnType = DatabaseResponse;
      return this.apiClient.callApi(
        '/databases', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null, callback
      );
    }

    /**
     * Callback function to receive the result of the putDatabases operation.
     * @callback module:api/DatabasesApi~putDatabasesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/DatabaseResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Update Databases
     * Update Database in Taxnexus
     * @param {module:model/DatabaseRequest} databaseRequest An array of Database records
     * @param {module:api/DatabasesApi~putDatabasesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/DatabaseResponse}
     */
    putDatabases(databaseRequest, callback) {
      let postBody = databaseRequest;
      // verify the required parameter 'databaseRequest' is set
      if (databaseRequest === undefined || databaseRequest === null) {
        throw new Error("Missing the required parameter 'databaseRequest' when calling putDatabases");
      }

      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['ApiKeyAuth'];
      let contentTypes = ['application/json'];
      let accepts = ['application/json'];
      let returnType = DatabaseResponse;
      return this.apiClient.callApi(
        '/databases', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null, callback
      );
    }


}
