/**
 * sf-gate
 * Customer Information Microservice
 *
 * The version of the OpenAPI document: 0.0.2
 * Contact: noc@taxnexus.net
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import Error from '../model/Error';
import TenantRequest from '../model/TenantRequest';
import TenantResponse from '../model/TenantResponse';

/**
* Tenants service.
* @module api/TenantsApi
* @version 0.0.2
*/
export default class TenantsApi {

    /**
    * Constructs a new TenantsApi. 
    * @alias module:api/TenantsApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }


    /**
     * Callback function to receive the result of the getTenants operation.
     * @callback module:api/TenantsApi~getTenantsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/TenantResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get a list Tenants
     * Return a list of Tenant records from the datastore
     * @param {Object} opts Optional parameters
     * @param {String} opts.tenantId Taxnexus Record Id of a Tenant
     * @param {Number} opts.limit How many objects to return at one time
     * @param {Number} opts.offset How many objects to skip?
     * @param {module:api/TenantsApi~getTenantsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/TenantResponse}
     */
    getTenants(opts, callback) {
      opts = opts || {};
      let postBody = null;

      let pathParams = {
      };
      let queryParams = {
        'tenantId': opts['tenantId'],
        'limit': opts['limit'],
        'offset': opts['offset']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['ApiKeyAuth'];
      let contentTypes = [];
      let accepts = ['application/json'];
      let returnType = TenantResponse;
      return this.apiClient.callApi(
        '/tenants', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null, callback
      );
    }

    /**
     * Callback function to receive the result of the putTenants operation.
     * @callback module:api/TenantsApi~putTenantsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/TenantResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Update Tenants
     * Update Tenant in Taxnexus
     * @param {module:model/TenantRequest} cTenantRequest An array of Tenant records
     * @param {module:api/TenantsApi~putTenantsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/TenantResponse}
     */
    putTenants(cTenantRequest, callback) {
      let postBody = cTenantRequest;
      // verify the required parameter 'cTenantRequest' is set
      if (cTenantRequest === undefined || cTenantRequest === null) {
        throw new Error("Missing the required parameter 'cTenantRequest' when calling putTenants");
      }

      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = ['ApiKeyAuth'];
      let contentTypes = ['application/json'];
      let accepts = ['application/json'];
      let returnType = TenantResponse;
      return this.apiClient.callApi(
        '/tenants', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null, callback
      );
    }

    /**
     * Callback function to receive the result of the tenants operation.
     * @callback module:api/TenantsApi~tenantsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/TenantResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Create new Tenants
     * Create Tenants in Taxnexus
     * @param {module:model/TenantRequest} cTenantRequest An array of Tenant records
     * @param {module:api/TenantsApi~tenantsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/TenantResponse}
     */
    tenants(cTenantRequest, callback) {
      let postBody = cTenantRequest;
      // verify the required parameter 'cTenantRequest' is set
      if (cTenantRequest === undefined || cTenantRequest === null) {
        throw new Error("Missing the required parameter 'cTenantRequest' when calling tenants");
      }

      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['application/json'];
      let returnType = TenantResponse;
      return this.apiClient.callApi(
        '/tenants', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, null, callback
      );
    }


}
