/**
 * sf-gate
 * Customer Information Microservice
 *
 * The version of the OpenAPI document: 0.0.2
 * Contact: noc@taxnexus.net
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';
import Address from './Address';

/**
 * The Account model module.
 * @module model/Account
 * @version 0.0.2
 */
class Account {
    /**
     * Constructs a new <code>Account</code>.
     * @alias module:model/Account
     */
    constructor() { 
        
        Account.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>Account</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/Account} obj Optional instance to populate.
     * @return {module:model/Account} The populated <code>Account</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new Account();

            if (data.hasOwnProperty('tenantid')) {
                obj['tenantid'] = ApiClient.convertToType(data['tenantid'], 'String');
            }
            if (data.hasOwnProperty('accountnumber')) {
                obj['accountnumber'] = ApiClient.convertToType(data['accountnumber'], 'String');
            }
            if (data.hasOwnProperty('accountsource')) {
                obj['accountsource'] = ApiClient.convertToType(data['accountsource'], 'String');
            }
            if (data.hasOwnProperty('active')) {
                obj['active'] = ApiClient.convertToType(data['active'], 'Boolean');
            }
            if (data.hasOwnProperty('administrativelevel')) {
                obj['administrativelevel'] = ApiClient.convertToType(data['administrativelevel'], 'String');
            }
            if (data.hasOwnProperty('amount')) {
                obj['amount'] = ApiClient.convertToType(data['amount'], 'Number');
            }
            if (data.hasOwnProperty('amountinvoiced')) {
                obj['amountinvoiced'] = ApiClient.convertToType(data['amountinvoiced'], 'Number');
            }
            if (data.hasOwnProperty('amountpaid')) {
                obj['amountpaid'] = ApiClient.convertToType(data['amountpaid'], 'Number');
            }
            if (data.hasOwnProperty('annualrevenue')) {
                obj['annualrevenue'] = ApiClient.convertToType(data['annualrevenue'], 'Number');
            }
            if (data.hasOwnProperty('balance')) {
                obj['balance'] = ApiClient.convertToType(data['balance'], 'Number');
            }
            if (data.hasOwnProperty('billingaddress')) {
                obj['billingaddress'] = Address.constructFromObject(data['billingaddress']);
            }
            if (data.hasOwnProperty('billingcontactid')) {
                obj['billingcontactid'] = ApiClient.convertToType(data['billingcontactid'], 'String');
            }
            if (data.hasOwnProperty('billingpreference')) {
                obj['billingpreference'] = ApiClient.convertToType(data['billingpreference'], 'String');
            }
            if (data.hasOwnProperty('businessaddress')) {
                obj['businessaddress'] = Address.constructFromObject(data['businessaddress']);
            }
            if (data.hasOwnProperty('cannabiscustomer')) {
                obj['cannabiscustomer'] = ApiClient.convertToType(data['cannabiscustomer'], 'Boolean');
            }
            if (data.hasOwnProperty('channelprogramlevelname')) {
                obj['channelprogramlevelname'] = ApiClient.convertToType(data['channelprogramlevelname'], 'String');
            }
            if (data.hasOwnProperty('channelprogramname')) {
                obj['channelprogramname'] = ApiClient.convertToType(data['channelprogramname'], 'String');
            }
            if (data.hasOwnProperty('clientenddate')) {
                obj['clientenddate'] = ApiClient.convertToType(data['clientenddate'], 'String');
            }
            if (data.hasOwnProperty('clientstartdate')) {
                obj['clientstartdate'] = ApiClient.convertToType(data['clientstartdate'], 'String');
            }
            if (data.hasOwnProperty('companyid')) {
                obj['companyid'] = ApiClient.convertToType(data['companyid'], 'String');
            }
            if (data.hasOwnProperty('coordinateid')) {
                obj['coordinateid'] = ApiClient.convertToType(data['coordinateid'], 'String');
            }
            if (data.hasOwnProperty('createdbyid')) {
                obj['createdbyid'] = ApiClient.convertToType(data['createdbyid'], 'String');
            }
            if (data.hasOwnProperty('createddate')) {
                obj['createddate'] = ApiClient.convertToType(data['createddate'], 'String');
            }
            if (data.hasOwnProperty('customerid')) {
                obj['customerid'] = ApiClient.convertToType(data['customerid'], 'String');
            }
            if (data.hasOwnProperty('customerpriority')) {
                obj['customerpriority'] = ApiClient.convertToType(data['customerpriority'], 'String');
            }
            if (data.hasOwnProperty('dandbcompanyid')) {
                obj['dandbcompanyid'] = ApiClient.convertToType(data['dandbcompanyid'], 'String');
            }
            if (data.hasOwnProperty('dba')) {
                obj['dba'] = ApiClient.convertToType(data['dba'], 'String');
            }
            if (data.hasOwnProperty('defaultaddress')) {
                obj['defaultaddress'] = Address.constructFromObject(data['defaultaddress']);
            }
            if (data.hasOwnProperty('defaultbackendid')) {
                obj['defaultbackendid'] = ApiClient.convertToType(data['defaultbackendid'], 'String');
            }
            if (data.hasOwnProperty('defaultdeliverycontactid')) {
                obj['defaultdeliverycontactid'] = ApiClient.convertToType(data['defaultdeliverycontactid'], 'String');
            }
            if (data.hasOwnProperty('defaultenduserid')) {
                obj['defaultenduserid'] = ApiClient.convertToType(data['defaultenduserid'], 'String');
            }
            if (data.hasOwnProperty('description')) {
                obj['description'] = ApiClient.convertToType(data['description'], 'String');
            }
            if (data.hasOwnProperty('dunsnumber')) {
                obj['dunsnumber'] = ApiClient.convertToType(data['dunsnumber'], 'String');
            }
            if (data.hasOwnProperty('ein')) {
                obj['ein'] = ApiClient.convertToType(data['ein'], 'String');
            }
            if (data.hasOwnProperty('email')) {
                obj['email'] = ApiClient.convertToType(data['email'], 'String');
            }
            if (data.hasOwnProperty('enrollmentstatus')) {
                obj['enrollmentstatus'] = ApiClient.convertToType(data['enrollmentstatus'], 'String');
            }
            if (data.hasOwnProperty('fax')) {
                obj['fax'] = ApiClient.convertToType(data['fax'], 'String');
            }
            if (data.hasOwnProperty('id')) {
                obj['id'] = ApiClient.convertToType(data['id'], 'String');
            }
            if (data.hasOwnProperty('industry')) {
                obj['industry'] = ApiClient.convertToType(data['industry'], 'String');
            }
            if (data.hasOwnProperty('iscustomerportal')) {
                obj['iscustomerportal'] = ApiClient.convertToType(data['iscustomerportal'], 'Boolean');
            }
            if (data.hasOwnProperty('ispartner')) {
                obj['ispartner'] = ApiClient.convertToType(data['ispartner'], 'Boolean');
            }
            if (data.hasOwnProperty('ispcustomer')) {
                obj['ispcustomer'] = ApiClient.convertToType(data['ispcustomer'], 'Boolean');
            }
            if (data.hasOwnProperty('jigsaw')) {
                obj['jigsaw'] = ApiClient.convertToType(data['jigsaw'], 'String');
            }
            if (data.hasOwnProperty('lastmodifiedbyid')) {
                obj['lastmodifiedbyid'] = ApiClient.convertToType(data['lastmodifiedbyid'], 'String');
            }
            if (data.hasOwnProperty('lastmodifieddate')) {
                obj['lastmodifieddate'] = ApiClient.convertToType(data['lastmodifieddate'], 'String');
            }
            if (data.hasOwnProperty('mspcustomer')) {
                obj['mspcustomer'] = ApiClient.convertToType(data['mspcustomer'], 'Boolean');
            }
            if (data.hasOwnProperty('naicscode')) {
                obj['naicscode'] = ApiClient.convertToType(data['naicscode'], 'String');
            }
            if (data.hasOwnProperty('naicsdesc')) {
                obj['naicsdesc'] = ApiClient.convertToType(data['naicsdesc'], 'String');
            }
            if (data.hasOwnProperty('name')) {
                obj['name'] = ApiClient.convertToType(data['name'], 'String');
            }
            if (data.hasOwnProperty('numberofemployees')) {
                obj['numberofemployees'] = ApiClient.convertToType(data['numberofemployees'], 'Number');
            }
            if (data.hasOwnProperty('numberoflocations')) {
                obj['numberoflocations'] = ApiClient.convertToType(data['numberoflocations'], 'Number');
            }
            if (data.hasOwnProperty('opencharges')) {
                obj['opencharges'] = ApiClient.convertToType(data['opencharges'], 'Number');
            }
            if (data.hasOwnProperty('ordercontactid')) {
                obj['ordercontactid'] = ApiClient.convertToType(data['ordercontactid'], 'String');
            }
            if (data.hasOwnProperty('orderemail')) {
                obj['orderemail'] = ApiClient.convertToType(data['orderemail'], 'String');
            }
            if (data.hasOwnProperty('ownerid')) {
                obj['ownerid'] = ApiClient.convertToType(data['ownerid'], 'String');
            }
            if (data.hasOwnProperty('ownership')) {
                obj['ownership'] = ApiClient.convertToType(data['ownership'], 'String');
            }
            if (data.hasOwnProperty('parentfk')) {
                obj['parentfk'] = ApiClient.convertToType(data['parentfk'], 'String');
            }
            if (data.hasOwnProperty('parentid')) {
                obj['parentid'] = ApiClient.convertToType(data['parentid'], 'String');
            }
            if (data.hasOwnProperty('phone')) {
                obj['phone'] = ApiClient.convertToType(data['phone'], 'String');
            }
            if (data.hasOwnProperty('placeid')) {
                obj['placeid'] = ApiClient.convertToType(data['placeid'], 'String');
            }
            if (data.hasOwnProperty('preparerid')) {
                obj['preparerid'] = ApiClient.convertToType(data['preparerid'], 'String');
            }
            if (data.hasOwnProperty('rating')) {
                obj['rating'] = ApiClient.convertToType(data['rating'], 'String');
            }
            if (data.hasOwnProperty('ratingengineid')) {
                obj['ratingengineid'] = ApiClient.convertToType(data['ratingengineid'], 'String');
            }
            if (data.hasOwnProperty('ref')) {
                obj['ref'] = ApiClient.convertToType(data['ref'], 'String');
            }
            if (data.hasOwnProperty('revenuebase')) {
                obj['revenuebase'] = ApiClient.convertToType(data['revenuebase'], 'Number');
            }
            if (data.hasOwnProperty('revenuenet')) {
                obj['revenuenet'] = ApiClient.convertToType(data['revenuenet'], 'Number');
            }
            if (data.hasOwnProperty('revenuenottaxable')) {
                obj['revenuenottaxable'] = ApiClient.convertToType(data['revenuenottaxable'], 'Number');
            }
            if (data.hasOwnProperty('shippingaddress')) {
                obj['shippingaddress'] = Address.constructFromObject(data['shippingaddress']);
            }
            if (data.hasOwnProperty('shippingcensustract')) {
                obj['shippingcensustract'] = ApiClient.convertToType(data['shippingcensustract'], 'String');
            }
            if (data.hasOwnProperty('shippingcounty')) {
                obj['shippingcounty'] = ApiClient.convertToType(data['shippingcounty'], 'String');
            }
            if (data.hasOwnProperty('shippingcontactid')) {
                obj['shippingcontactid'] = ApiClient.convertToType(data['shippingcontactid'], 'String');
            }
            if (data.hasOwnProperty('sic')) {
                obj['sic'] = ApiClient.convertToType(data['sic'], 'String');
            }
            if (data.hasOwnProperty('sicdesc')) {
                obj['sicdesc'] = ApiClient.convertToType(data['sicdesc'], 'String');
            }
            if (data.hasOwnProperty('site')) {
                obj['site'] = ApiClient.convertToType(data['site'], 'String');
            }
            if (data.hasOwnProperty('status')) {
                obj['status'] = ApiClient.convertToType(data['status'], 'String');
            }
            if (data.hasOwnProperty('taxexemption')) {
                obj['taxexemption'] = ApiClient.convertToType(data['taxexemption'], 'String');
            }
            if (data.hasOwnProperty('taxontax')) {
                obj['taxontax'] = ApiClient.convertToType(data['taxontax'], 'Number');
            }
            if (data.hasOwnProperty('telecomcustomer')) {
                obj['telecomcustomer'] = ApiClient.convertToType(data['telecomcustomer'], 'Boolean');
            }
            if (data.hasOwnProperty('tickersymbol')) {
                obj['tickersymbol'] = ApiClient.convertToType(data['tickersymbol'], 'String');
            }
            if (data.hasOwnProperty('tradestyle')) {
                obj['tradestyle'] = ApiClient.convertToType(data['tradestyle'], 'String');
            }
            if (data.hasOwnProperty('type')) {
                obj['type'] = ApiClient.convertToType(data['type'], 'String');
            }
            if (data.hasOwnProperty('unappliedpayments')) {
                obj['unappliedpayments'] = ApiClient.convertToType(data['unappliedpayments'], 'Number');
            }
            if (data.hasOwnProperty('unitbase')) {
                obj['unitbase'] = ApiClient.convertToType(data['unitbase'], 'Number');
            }
            if (data.hasOwnProperty('upsellopportunity')) {
                obj['upsellopportunity'] = ApiClient.convertToType(data['upsellopportunity'], 'String');
            }
            if (data.hasOwnProperty('website')) {
                obj['website'] = ApiClient.convertToType(data['website'], 'String');
            }
            if (data.hasOwnProperty('whmcsclientid')) {
                obj['whmcsclientid'] = ApiClient.convertToType(data['whmcsclientid'], 'Number');
            }
            if (data.hasOwnProperty('xerocontactid')) {
                obj['xerocontactid'] = ApiClient.convertToType(data['xerocontactid'], 'String');
            }
            if (data.hasOwnProperty('yearstarted')) {
                obj['yearstarted'] = ApiClient.convertToType(data['yearstarted'], 'String');
            }
        }
        return obj;
    }


}

/**
 * tenant identifier
 * @member {String} tenantid
 */
Account.prototype['tenantid'] = undefined;

/**
 * Account Number
 * @member {String} accountnumber
 */
Account.prototype['accountnumber'] = undefined;

/**
 * The marketing orgin of this account
 * @member {String} accountsource
 */
Account.prototype['accountsource'] = undefined;

/**
 * Active
 * @member {Boolean} active
 */
Account.prototype['active'] = undefined;

/**
 * For tax authorities, this account's administrative level, e.g. Local, County, State or Federal
 * @member {String} administrativelevel
 */
Account.prototype['administrativelevel'] = undefined;

/**
 * Rollup Tax Amount
 * @member {Number} amount
 */
Account.prototype['amount'] = undefined;

/**
 * Amount Invoiced
 * @member {Number} amountinvoiced
 */
Account.prototype['amountinvoiced'] = undefined;

/**
 * Amount Paid
 * @member {Number} amountpaid
 */
Account.prototype['amountpaid'] = undefined;

/**
 * Annual Revenue Estimate
 * @member {Number} annualrevenue
 */
Account.prototype['annualrevenue'] = undefined;

/**
 * Account Balance
 * @member {Number} balance
 */
Account.prototype['balance'] = undefined;

/**
 * @member {module:model/Address} billingaddress
 */
Account.prototype['billingaddress'] = undefined;

/**
 * Contact ID
 * @member {String} billingcontactid
 */
Account.prototype['billingcontactid'] = undefined;

/**
 * Billing Preference
 * @member {String} billingpreference
 */
Account.prototype['billingpreference'] = undefined;

/**
 * @member {module:model/Address} businessaddress
 */
Account.prototype['businessaddress'] = undefined;

/**
 * Is this a cannabis customer?
 * @member {Boolean} cannabiscustomer
 */
Account.prototype['cannabiscustomer'] = undefined;

/**
 * Channel Program Level Name
 * @member {String} channelprogramlevelname
 */
Account.prototype['channelprogramlevelname'] = undefined;

/**
 * Channel Program Name
 * @member {String} channelprogramname
 */
Account.prototype['channelprogramname'] = undefined;

/**
 * Client End Date
 * @member {String} clientenddate
 */
Account.prototype['clientenddate'] = undefined;

/**
 * Client Start Date
 * @member {String} clientstartdate
 */
Account.prototype['clientstartdate'] = undefined;

/**
 * The Company ID of this Account
 * @member {String} companyid
 */
Account.prototype['companyid'] = undefined;

/**
 * The Id of the geo coordinates of this account
 * @member {String} coordinateid
 */
Account.prototype['coordinateid'] = undefined;

/**
 * Created By User ID
 * @member {String} createdbyid
 */
Account.prototype['createdbyid'] = undefined;

/**
 * Created Date
 * @member {String} createddate
 */
Account.prototype['createddate'] = undefined;

/**
 * Customer ID from source system
 * @member {String} customerid
 */
Account.prototype['customerid'] = undefined;

/**
 * Customer Priority
 * @member {String} customerpriority
 */
Account.prototype['customerpriority'] = undefined;

/**
 * D-n-B Company
 * @member {String} dandbcompanyid
 */
Account.prototype['dandbcompanyid'] = undefined;

/**
 * This Account's 'Doing Business As' name
 * @member {String} dba
 */
Account.prototype['dba'] = undefined;

/**
 * @member {module:model/Address} defaultaddress
 */
Account.prototype['defaultaddress'] = undefined;

/**
 * Default Backend ID
 * @member {String} defaultbackendid
 */
Account.prototype['defaultbackendid'] = undefined;

/**
 * Default Delivery Address Contact ID
 * @member {String} defaultdeliverycontactid
 */
Account.prototype['defaultdeliverycontactid'] = undefined;

/**
 * Default End User Contact ID
 * @member {String} defaultenduserid
 */
Account.prototype['defaultenduserid'] = undefined;

/**
 * Description
 * @member {String} description
 */
Account.prototype['description'] = undefined;

/**
 * D-U-N-S Number
 * @member {String} dunsnumber
 */
Account.prototype['dunsnumber'] = undefined;

/**
 * EIN
 * @member {String} ein
 */
Account.prototype['ein'] = undefined;

/**
 * Main Account Email
 * @member {String} email
 */
Account.prototype['email'] = undefined;

/**
 * Enrollment Status
 * @member {String} enrollmentstatus
 */
Account.prototype['enrollmentstatus'] = undefined;

/**
 * Fax
 * @member {String} fax
 */
Account.prototype['fax'] = undefined;

/**
 * Taxnexus Account Id
 * @member {String} id
 */
Account.prototype['id'] = undefined;

/**
 * Industry
 * @member {String} industry
 */
Account.prototype['industry'] = undefined;

/**
 * Customer Portal Account
 * @member {Boolean} iscustomerportal
 */
Account.prototype['iscustomerportal'] = undefined;

/**
 * Partner Account
 * @member {Boolean} ispartner
 */
Account.prototype['ispartner'] = undefined;

/**
 * ISP Customer?
 * @member {Boolean} ispcustomer
 */
Account.prototype['ispcustomer'] = undefined;

/**
 * Data.com Key
 * @member {String} jigsaw
 */
Account.prototype['jigsaw'] = undefined;

/**
 * Last Modified By User ID
 * @member {String} lastmodifiedbyid
 */
Account.prototype['lastmodifiedbyid'] = undefined;

/**
 * Last Modified Date
 * @member {String} lastmodifieddate
 */
Account.prototype['lastmodifieddate'] = undefined;

/**
 * MSP Customer?
 * @member {Boolean} mspcustomer
 */
Account.prototype['mspcustomer'] = undefined;

/**
 * NAICS Code
 * @member {String} naicscode
 */
Account.prototype['naicscode'] = undefined;

/**
 * NAICS Description
 * @member {String} naicsdesc
 */
Account.prototype['naicsdesc'] = undefined;

/**
 * Account Name
 * @member {String} name
 */
Account.prototype['name'] = undefined;

/**
 * Employee Count Estimate
 * @member {Number} numberofemployees
 */
Account.prototype['numberofemployees'] = undefined;

/**
 * Number of Locations Estimate
 * @member {Number} numberoflocations
 */
Account.prototype['numberoflocations'] = undefined;

/**
 * Open Charges
 * @member {Number} opencharges
 */
Account.prototype['opencharges'] = undefined;

/**
 * Vendor Order Contact ID
 * @member {String} ordercontactid
 */
Account.prototype['ordercontactid'] = undefined;

/**
 * Order Email
 * @member {String} orderemail
 */
Account.prototype['orderemail'] = undefined;

/**
 * Account Owner User ID
 * @member {String} ownerid
 */
Account.prototype['ownerid'] = undefined;

/**
 * Ownership
 * @member {String} ownership
 */
Account.prototype['ownership'] = undefined;

/**
 * Parent Foreign Key
 * @member {String} parentfk
 */
Account.prototype['parentfk'] = undefined;

/**
 * Parent Account
 * @member {String} parentid
 */
Account.prototype['parentid'] = undefined;

/**
 * Phone
 * @member {String} phone
 */
Account.prototype['phone'] = undefined;

/**
 * The ID of the Place situs record that applies to this Account
 * @member {String} placeid
 */
Account.prototype['placeid'] = undefined;

/**
 * Tax Preparer Contact ID
 * @member {String} preparerid
 */
Account.prototype['preparerid'] = undefined;

/**
 * Rating
 * @member {String} rating
 */
Account.prototype['rating'] = undefined;

/**
 * Rating Engine identifier
 * @member {String} ratingengineid
 */
Account.prototype['ratingengineid'] = undefined;

/**
 * External Reference ID
 * @member {String} ref
 */
Account.prototype['ref'] = undefined;

/**
 * Rollup Revenue Base
 * @member {Number} revenuebase
 */
Account.prototype['revenuebase'] = undefined;

/**
 * Rollup Revenue Net
 * @member {Number} revenuenet
 */
Account.prototype['revenuenet'] = undefined;

/**
 * Rollup Revenue Not Taxable
 * @member {Number} revenuenottaxable
 */
Account.prototype['revenuenottaxable'] = undefined;

/**
 * @member {module:model/Address} shippingaddress
 */
Account.prototype['shippingaddress'] = undefined;

/**
 * Shipping Census Tract
 * @member {String} shippingcensustract
 */
Account.prototype['shippingcensustract'] = undefined;

/**
 * Shipping County
 * @member {String} shippingcounty
 */
Account.prototype['shippingcounty'] = undefined;

/**
 * Shipping Contact ID
 * @member {String} shippingcontactid
 */
Account.prototype['shippingcontactid'] = undefined;

/**
 * SIC Code
 * @member {String} sic
 */
Account.prototype['sic'] = undefined;

/**
 * SIC Description
 * @member {String} sicdesc
 */
Account.prototype['sicdesc'] = undefined;

/**
 * Account Site
 * @member {String} site
 */
Account.prototype['site'] = undefined;

/**
 * Account Status
 * @member {String} status
 */
Account.prototype['status'] = undefined;

/**
 * Tax Exemption
 * @member {String} taxexemption
 */
Account.prototype['taxexemption'] = undefined;

/**
 * Rollup Tax On Tax
 * @member {Number} taxontax
 */
Account.prototype['taxontax'] = undefined;

/**
 * Telecom Customer?
 * @member {Boolean} telecomcustomer
 */
Account.prototype['telecomcustomer'] = undefined;

/**
 * Ticker Symbol
 * @member {String} tickersymbol
 */
Account.prototype['tickersymbol'] = undefined;

/**
 * Tradestyle
 * @member {String} tradestyle
 */
Account.prototype['tradestyle'] = undefined;

/**
 * Type
 * @member {String} type
 */
Account.prototype['type'] = undefined;

/**
 * Unapplied Payments
 * @member {Number} unappliedpayments
 */
Account.prototype['unappliedpayments'] = undefined;

/**
 * Rollup Unit Base
 * @member {Number} unitbase
 */
Account.prototype['unitbase'] = undefined;

/**
 * Upsell Opportunity
 * @member {String} upsellopportunity
 */
Account.prototype['upsellopportunity'] = undefined;

/**
 * Website
 * @member {String} website
 */
Account.prototype['website'] = undefined;

/**
 * WHMCS Client ID
 * @member {Number} whmcsclientid
 */
Account.prototype['whmcsclientid'] = undefined;

/**
 * Xero Contact ID
 * @member {String} xerocontactid
 */
Account.prototype['xerocontactid'] = undefined;

/**
 * Year Started
 * @member {String} yearstarted
 */
Account.prototype['yearstarted'] = undefined;






export default Account;

