# Stash.StashPdfApi

All URIs are relative to *http://stash.vernonkeenan.com:8080/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**postPdfs**](StashPdfApi.md#postPdfs) | **POST** /pdfs | Create new PDFs



## postPdfs

> DocumentResponse postPdfs(pDFRequest)

Create new PDFs

Store new PDFs

### Example

```javascript
import Stash from 'stash';
let defaultClient = Stash.ApiClient.instance;
// Configure API key authorization: ApiKeyAuth
let ApiKeyAuth = defaultClient.authentications['ApiKeyAuth'];
ApiKeyAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//ApiKeyAuth.apiKeyPrefix = 'Token';

let apiInstance = new Stash.StashPdfApi();
let pDFRequest = new Stash.PDFRequest(); // PDFRequest | An array of new PDF records
apiInstance.postPdfs(pDFRequest, (error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
});
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pDFRequest** | [**PDFRequest**](PDFRequest.md)| An array of new PDF records | 

### Return type

[**DocumentResponse**](DocumentResponse.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

